<?php

namespace backend\assets;

use yii\web\AssetBundle as BaseAdminLteAsset;

/**
 * Main backend application asset bundle.
 */
class AppHomeAsset extends BaseAdminLteAsset {

    public $basePath = '@webroot';
    public $baseUrl = '@web';
    public $css = [
       // 'css/AdminLTE.min.css',
        'homeAssets/assets/css/bootstrap.min.css',
        'homeAssets/assets/css/main.css',
        'homeAssets/assets/css/responsive.css',
        'homeAssets/assets/fonts/font-awesome.min.css',
        'homeAssets/assets/fonts/simple-line-icons.css',
        'homeAssets/assets/css/slicknav.css',
        'homeAssets/assets/css/nivo-lightbox.css',
        'homeAssets/assets/css/animate.css',
        'homeAssets/assets/css/owl.carousel.css',
        'homeAssets/assets/css/colors/default.css',
    ];
    public $js = [
       // 'js/app.min.js'
        'homeAssets/assets/js/jquery.min.js',
        'homeAssets/assets/js/bootstrap.min.js',
        'homeAssets/assets/js/jquery.countdown.min.js',
        'homeAssets/assets/js/smooth-scroll.js',
        'homeAssets/assets/js/wow.js',
        'homeAssets/assets/js/owl.carousel.min.js',
        'homeAssets/assets/js/jquery.slicknav.js',
        'homeAssets/assets/js/nivo-lightbox.js',
        'homeAssets/assets/js/form-validator.min.js',
        'homeAssets/assets/js/contact-form-script.js',
        'homeAssets/assets/js/color-switcher.js',
        'homeAssets/assets/js/main.js',
        'homeAssets/assets/js/jquery.mapit.min.js',
        'homeAssets/assets/js/initializers.js'
    ];
    public $depends = [
        'rmrevin\yii\fontawesome\AssetBundle',
        'yii\web\YiiAsset',
        'yii\bootstrap\BootstrapAsset',
        'yii\bootstrap\BootstrapPluginAsset',
    ];

    /**
     * @var string|bool Choose skin color, eg. `'skin-blue'` or set `false` to disable skin loading
     * @see https://almsaeedstudio.com/themes/AdminLTE/documentation/index.html#layout
     */
    public $skin = '_all-skins';

    /**
     * @inheritdoc
     */
    public function init() {
        // Append skin color file if specified
        if ($this->skin) {
            if (('_all-skins' !== $this->skin) && (strpos($this->skin, 'skin-') !== 0)) {
                throw new Exception('Invalid skin specified');
            }

            $this->css[] = sprintf('css/skins/%s.min.css', $this->skin);
        }

        parent::init();
    }

}
