<?php

namespace backend\models;

use yii\base\Model;
use Yii;

/**
 * Signup form
 */
class ForgotpasswordForm extends Model {

    public $newpass;
    public $confirmpass;

    // public $confirmpass;

    /**
     * @inheritdoc
     */
    public function rules() {
        return [
            // ['newpass', 'confirmpass', 'required'],
            ['newpass', 'string', 'min' => 6],
            ['confirmpass', 'string', 'min' => 6],
        ];
    }

    public function attributeLabels() {
        return [
            'newpass' => 'New Password',
            'confirmpass' => 'Confirm Password',
        ];
    }

    /**
     * Signs user up.
     *
     * @return User|null the saved model or null if saving fails
     */
    public function forgotpassword($newpass) {
        $user = new User();
        $user->newpass = $this->newpass;
        $user->confirmpass = $this->confirmpass;
        return $user->save() ? $user : null;
    }

    public function sendEmail($email, $password) {
        return Yii::$app->mailer->compose()
                        ->setTo($email)
                        ->setFrom([$email => 'FoodStuff'])
                        ->setSubject('FoodStuff - Reset Password')
                        ->setTextBody('Thank you your password has been changed successfully. New password is ' . $password)
                        ->send();
    }

    public function comparePass() {

        if ($this->newpass == $this->confirmpass) {
            return true;
        } else {
            return false;
        }
    }

}
