<?php

namespace backend\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\models\Menu;

/**
 * MenuSearch represents the model behind the search form about `backend\models\Menu`.
 */
class MenuSearch extends Menu
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            //  [['id'], 'integer'],
            [['category_id', 'menu_name', 'menu_price_half', 'menu_price_full', 'menu_detail'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        // $query = Menu::find();

        $restaurant_id = Yii::$app->session->get('restaurant_id');
        $role = Yii::$app->session->get('role');

        if ($role == '1') {
            $query = Menu::find();
        } else {
            $query = Menu::find()->where(['restaurant_id' => $restaurant_id]);

        }

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            // 'id' => $this->id,
            // 'category_name' => $this->category_id,
        ]);

        $query->joinWith('category');

        $query->andFilterWhere(['like', 'menu_name', $this->menu_name])
            ->andFilterWhere(['like', 'menu_price_half', $this->menu_price_half])
            ->andFilterWhere(['like', 'menu_price_full', $this->menu_price_full])
            ->andFilterWhere(['like', 'menu_detail', $this->menu_detail])
            ->andFilterWhere(['like', 'category.category_name', $this->category_id]);

        return $dataProvider;
    }
}
