<?php

namespace backend\models;

use Yii;
use backend\models\Waiter;

/**
 * This is the model class for table "order".
 *
 * @property integer $id
 * @property string $restaurant_id
 * @property string $order_number
 * @property string $table_id
 * @property string $waiter_id
 * @property integer $created_at
 * @property integer $updated_at
 */
class Order extends \yii\db\ActiveRecord {

    /**
     * @inheritdoc
     */
    public static function tableName() {
        return 'order';
    }

    /**
     * @inheritdoc
     */
    public function rules() {
        return [
            [['restaurant_id', 'order_number'], 'required'],
            [['restaurant_id', 'order_number', 'table_id', 'waiter_id', 'payment_status', 'status', 'total_amount'], 'string'],
            [['created_at', 'updated_at'], 'integer'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels() {
        return [
            'id' => 'ID',
            'restaurant_id' => 'Restaurant ID',
            'order_number' => 'Order Number',
            'table_id' => 'Table Number',
            'waiter_id' => 'Waiter Name',
            'payment_status' => 'Payment Status',
            'status' => 'Order Status',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
    
     public function getWaiter()
    {
        return $this->hasOne(Waiter::className(), ['id' => 'waiter_id']);
    }
    
     public function getTable() {
        return $this->hasOne(Table::className(), ['id' => 'table_id']);
    }


}
