<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "order_menu".
 *
 * @property integer $id
 * @property string $order_number
 * @property string $menu_id
 * @property string $menu_name
 * @property string $menu_price
 * @property string $quantity
 * @property string $unit
 * @property string $created_at
 * @property string $updated_at
 */
class OrderMenu extends \yii\db\ActiveRecord {

    /**
     * @inheritdoc
     */
    public static function tableName() {
        return 'order_menu';
    }

    /**
     * @inheritdoc
     */
    public function rules() {
        return [
            // [['order_number', 'menu_id', 'menu_name', 'menu_price', 'quantity', 'unit', 'created_at', 'updated_at'], 'required'],
            [['menu_id', 'menu_name', 'menu_price', 'quantity', 'unit', 'remark'], 'string'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels() {
        return [
            'id' => 'ID',
            'order_number' => 'Order Number',
            'menu_id' => 'Menu ID',
            'menu_name' => 'Menu Name',
            'menu_price' => 'Menu Price',
            'quantity' => 'Quantity',
            'unit' => 'Unit',
            'remark' => 'Remark',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }

    public static function getMenu($order_number) {

        return OrderMenu::find()->where(['order_number' => $order_number])->all();
    }

}
