<?php

namespace backend\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\models\Order;

/**
 * OrderSearch represents the model behind the search form about `backend\models\Order`.
 */
class OrderSearch extends Order {

    /**
     * @inheritdoc
     */
    public function rules() {
        return [
            [['id', 'created_at', 'updated_at'], 'integer'],
            [['restaurant_id', 'order_number', 'table_id', 'waiter_id', 'payment_status', 'status'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios() {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params) {
        //$query = Order::find();

        $restaurant_id = Yii::$app->session->get('restaurant_id');
        $role = Yii::$app->session->get('role');

        if ($role == '1') {
            $query = Order::find();
        } else {
            $query = Order::find()->where(['restaurant_id' => $restaurant_id]);
        }
        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'sort' => ['defaultOrder' => ['created_at' => SORT_DESC]]
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
                // 'id' => $this->id,
                //'created_at' => $this->created_at,
                // 'updated_at' => $this->updated_at,
        ]);

       // $query->joinWith('table');

        $query->andFilterWhere(['like', 'order_number', $this->order_number])
                // ->andFilterWhere(['like', 'table_id', $this->table_id])
               // ->andFilterWhere(['like', 'table.table_number', $this->table_id])
                ->andFilterWhere(['like', 'payment_status', $this->payment_status])
                ->andFilterWhere(['like', 'status', $this->status]);
        //->andFilterWhere(['between', 'created_at', $this->created_at, $this->created_at]);

        return $dataProvider;
    }

}
