<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "setting".
 *
 * @property integer $id
 * @property string $restaurant_id
 * @property string $order_type
 * @property string $isWaiter
 * @property string $isTable
 */
class Setting extends \yii\db\ActiveRecord {

    /**
     * @inheritdoc
     */
    public static function tableName() {
        return 'setting';
    }

    /**
     * @inheritdoc
     */
    public function rules() {
        return [
            [['restaurant_id', 'order_type', 'isWaiter', 'isTable'], 'required'],
            [['order_type', 'isWaiter', 'isTable'], 'string'],
            [['restaurant_id'], 'integer'],
            [['restaurant_id'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['restaurant_id' => 'id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels() {
        return [
            'id' => 'ID',
            'restaurant_id' => 'Restaurant ID',
            'order_type' => 'Order Type',
            'isWaiter' => 'Is Waiter',
            'isTable' => 'Is Table',
        ];
    }

}
