<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "table".
 *
 * @property integer $id
 * @property integer $restaurant_id
 * @property integer $table_number
 * @property string $detail
 *
 * @property User $id0
 */
class Table extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'table';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['restaurant_id', 'detail'], 'required'],
            [['restaurant_id', 'table_number'], 'integer'],
            [['detail'], 'string'],
            [['id'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['id' => 'id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'restaurant_id' => 'Restaurant ID',
            'table_number' => 'Table Number',
            'detail' => 'Detail',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getId0()
    {
        return $this->hasOne(User::className(), ['id' => 'id']);
    }
    
      public static function getTable($id) {

        return Table::find()->where(['id' => $id])->one();
    }

}
