<?php

namespace backend\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\models\Table;

/**
 * TableSearch represents the model behind the search form about `backend\models\Table`.
 */
class TableSearch extends Table
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['table_number'], 'integer'],
            [['detail'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
      //  $query = Table::find();

        // add conditions that should always apply here
        
        
        $restaurant_id = Yii::$app->session->get('restaurant_id');
        $role = Yii::$app->session->get('role');

        if ($role == '1') {
            $query = Table::find();
        } else {
            $query = Table::find()->where(['restaurant_id' => $restaurant_id]);
        }
        
        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
           // 'id' => $this->id,
            //'restaurant_id' => $this->restaurant_id,
            'table_number' => $this->table_number,
        ]);

        $query->andFilterWhere(['like', 'detail', $this->detail]);

        return $dataProvider;
    }
}
