<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "topping".
 *
 * @property integer $id
 * @property integer $menu_id
 * @property string $topping_name
 * @property string $topping_price
 *
 * @property Menu $menu
 */
class Topping extends \yii\db\ActiveRecord {

    /**
     * @inheritdoc
     */
    public static function tableName() {
        return 'topping';
    }

    /**
     * @inheritdoc
     */
    public function rules() {
        return [
            [['menu_id', 'restaurant_id', 'topping_name', 'topping_price'], 'required'],
            [['menu_id'], 'integer'],
            [['topping_name', 'topping_price'], 'string'],
            [['menu_id'], 'exist', 'skipOnError' => true, 'targetClass' => Menu::className(), 'targetAttribute' => ['menu_id' => 'id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels() {
        return [
            'id' => 'ID',
            'menu_id' => 'Menu Name',
            'restaurant_id' => 'Restaurant Id',
            'topping_name' => 'Topping Name',
            'topping_price' => 'Topping Price',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getMenu()
    {
        return $this->hasOne(Menu::className(), ['id' => 'menu_id']);
    }

    public function deleteTopping($id) {

        return \Yii::$app
                        ->db
                        ->createCommand()
                        ->delete('topping', ['menu_id' => $id])
                        ->execute();

    }

}
