<?php

namespace backend\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\models\Topping;

/**
 * ToppingSearch represents the model behind the search form about `backend\models\Topping`.
 */
class ToppingSearch extends Topping {

    /**
     * @inheritdoc
     */
    public function rules() {
        return [
            [['id', 'restaurant_id'], 'integer'],
            [['menu_id', 'topping_name', 'topping_price'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios() {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params) {
        // $query = Topping::find();

        $restaurant_id = Yii::$app->session->get('restaurant_id');
        $role = Yii::$app->session->get('role');

        if ($role == '1') {
            $query = Topping::find();
        } else {
            $query = Topping::find()->where(['restaurant_id' => $restaurant_id]);
        }

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
                // 'id' => $this->id,
                // 'menu_id' => $this->menu_id,
        ]);

        $query->joinWith('menu');

        $query->andFilterWhere(['like', 'topping_name', $this->topping_name])
                ->andFilterWhere(['like', 'topping_price', $this->topping_price])
                ->andFilterWhere(['like', 'menu.menu_name', $this->menu_id]);

        return $dataProvider;
    }

}
