<?php

namespace backend\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\models\Waiter;

/**
 * WaiterSearch represents the model behind the search form about `backend\models\Waiter`.
 */
class WaiterSearch extends Waiter {

    /**
     * @inheritdoc
     */
    public function rules() {
        return [
            // [['id', 'restaurant_id'], 'integer'],
            [['name', 'mobile', 'address'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios() {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params) {

        $restaurant_id = Yii::$app->session->get('restaurant_id');
        $role = Yii::$app->session->get('role');

        if ($role == '1') {
            $query = Waiter::find();
        } else {
            $query = Waiter::find()->where(['restaurant_id' => $restaurant_id]);
        }

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
                // 'id' => $this->id,
                //'restaurant_id' => $this->restaurant_id,
        ]);

        $query->andFilterWhere(['like', 'name', $this->name])
                ->andFilterWhere(['like', 'mobile', $this->mobile])
                ->andFilterWhere(['like', 'address', $this->address]);

        return $dataProvider;
    }

}
