<?php

namespace backend\modules\api\controllers;

use backend\modules\api\models\Banner;

class BannerController extends \yii\web\Controller {

    public $enableCsrfValidation = false;

    public function actionIndex() {
        return $this->render('index');
    }

    public function actionBannerList() {

        \Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;

        $banner = new Banner();
        $banner->attributes = \Yii::$app->request->post();

        $restaurant_id = $_POST['restaurant_id'];
        $response = Banner::find()->where(['restaurant_id' => $restaurant_id])->asArray()->all();

        if (!empty($restaurant_id)) {

            if (count($response) > 0) {
                $items = array();
                foreach ($response as $data) {
                    $data['image'] = \Yii::getAlias('@webImgUrl') . $data['image'];
                    $items[] = $data;
                }

                return array('status_code' => 200, 'status' => 'success',
                    'responseData' => array('message' => 'Banners found successfully.', 'data' => $items));
            } else {

                return array('status_code' => 400, 'status' => 'failure',
                    'responseData' => array('message' => 'No data found.', 'data' => array()));
            }
        } else {

            return array('status_code' => 400, 'status' => 'failure',
                'responseData' => array('message' => 'Please provide valid input data.', 'data' => array()));
        }
    }

}
