<?php

namespace backend\modules\api\controllers;

use backend\models\Topping;
use backend\modules\api\models\Menu;
use yii\db\Query;

class MenuController extends \yii\web\Controller
{
    public $enableCsrfValidation = false;

    public function actionIndex()
    {
        return $this->render('index');
    }

    public function actionMenuList()
    {

        \Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;

        $category_id = (object)$_POST;

        $response = Menu::find()->where(['category_id' => $category_id->category_id])->asArray()->all();

        if (!empty($category_id->category_id)) {

            if (count($response) > 0) {
                $items = array();
                foreach ($response as $data) {
                    $data['menu_image'] = \Yii::getAlias('@webImgUrl') . $data['menu_image'];
                    $topping = Topping::find()->where(['menu_id' => $data['id']])->asArray()->all();
                    $data['topping'] = $topping;
                    $items[] = $data;
                }

                return array('status_code' => 200, 'status' => 'success',
                    'responseData' => array('message' => 'Menu found successfully.', 'data' => $items));


            } else {
                return array('status_code' => 400, 'status' => 'failure',
                    'responseData' => array('message' => 'No data found.', 'data' => array()));
            }


        } else {

            return array('status_code' => 400, 'status' => 'failure',
                'responseData' => array('message' => 'Please provide valid input data.', 'data' => array()));
        }


    }

    public function actionSearchMenuList()
    {


        \Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;

        //  $menu = new Menu();
        // $menu->attributes = \Yii::$app->request->post();
        $request_data = (object)$_POST;

        $response = Menu::find()->where(array('rest_id' => $request_data->restaurant_id))->asArray()->all();

        if (!empty($request_data->restaurant_id)) {

            if (count($response) > 0) {
                $items = array();
                foreach ($response as $data) {
                    $data['menu_image'] = \Yii::getAlias('@webImgUrl') . $data['menu_image'];

                    $topping = Topping::find()->where(['menu_id' => $data['id']])->asArray()->all();
                    $data['topping'] = $topping;
                    $items[] = $data;
                }

                return array('status_code' => 200, 'status' => 'success',
                    'responseData' => array('message' => 'Menu found successfully.', 'data' => $items));


            } else {
                return array('status_code' => 400, 'status' => 'failure',
                    'responseData' => array('message' => 'No data found.', 'data' => array()));
            }
        } else {
            return array('status_code' => 400, 'status' => 'failure',
                'responseData' => array('message' => 'Please provide valid input data.', 'data' => array()));

        }

    }


}
