<?php

namespace backend\modules\api\controllers;

use backend\modules\api\models\Order;
use backend\modules\api\models\OrderMenu;
use backend\modules\api\models\Ordertopping;
use \backend\modules\api\models\Waiter;
use backend\modules\api\models\Table;
use Yii;

class OrderController extends \yii\web\Controller {

    public $enableCsrfValidation = false;

    public function actionIndex() {
        return $this->render('index');
    }

    public function actionAddOrder() {

        \Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;

        $order = new Order();
        $data = Yii::$app->getRequest()->getBodyParams();

        $date = date('Y-m-d H:i:s');
        $order->created_at = time();
        $order->updated_at = time();
        $order->order_number = mt_rand(1000, 10000);

        $menuArray = $data['menuOrders'];
        $order->restaurant_id = $data['restautant_id'];
        $order->table_id = $data['table_id'];
        $order->waiter_id = $data['waiter_id'];
        $order->device_id = $data['device_id'];
        $order->total_amount = $data['total_price'];
        $order->status = '0';



        foreach ($menuArray as $menu) {

            $orderMenu = new OrderMenu();
            $orderMenu['order_number'] = $order->order_number;
            $orderMenu['menu_id'] = $menu['id'];
            $orderMenu['menu_name'] = $menu['name'];
            $orderMenu['menu_price'] = $menu['price'];
            $orderMenu['quantity'] = $menu['quantity'];
            $orderMenu['unit'] = $menu['unit'];
            $orderMenu['remark'] = $menu['remark'];
            $orderMenu['created_at'] = time();
            $orderMenu['updated_at'] = time();


            if ($orderMenu->save()) {
                $orderMenuNew = OrderMenu::find()->where(['id' => $orderMenu->id])->one();
                $toppingArray = $menu['toppingOrder'];

                foreach ($toppingArray as $topping) {

                    $orderTopping = new Ordertopping();
                    $orderTopping['order_number'] = $orderMenuNew->order_number;
                    $orderTopping['menuId'] = $orderMenuNew->id;
                    $orderTopping['toppingId'] = $topping['toppingId'];
                    $orderTopping['toppingName'] = $topping['toppingName'];
                    $orderTopping['toppingPrice'] = $topping['toppingPrice'];
                    $orderTopping['created_at'] = time();
                    $orderTopping['updated_at'] = time();

                    $orderTopping->save();
                }
            }
        }

        if ($order->save()) {
            $order = Order::find()->where(['id' => $order->id])->one();

            if (isset($order)) {
                return array('status_code' => 200, 'status' => 'success',
                    'responseData' => array('message' => 'Order placed successfully.', 'data' => $order));
            } else {
                return array('status_code' => 400, 'status' => 'failure',
                    'responseData' => array('message' => 'Please provide valid input data1.', 'data' => ''));
            }
        } else {
            return array('status_code' => 400, 'status' => 'failure',
                'responseData' => array('message' => 'Please provide valid input data1.', 'data' => ''));
        }
    }

    public function actionListOrder() {

        \Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;

        $restaurant_id = (object) $_POST;
        $device_id = $_POST['device_id'];

        $response = Order::find()->where(['restaurant_id' => $restaurant_id->restaurant_id,
                    'device_id' => $device_id])->asArray()->all();

        //$waiter = Waiter::find()->where(['id' => $response->waiter_id])->all();
        // $table = Table::find()->where(['id' => $response->table_id])->one();
        // $response->waiter_id = $waiter->name;
        // $response->table_id = $table->table_number;


        if (!empty($restaurant_id->restaurant_id)) {

            if (count($response) > 0) {
                $menuItems = array();
                foreach ($response as $data) {
                    $waiter = Waiter::getWaiter($data['waiter_id']);
                    $table = Table::getTable($data['table_id']);

                    $data['waiter_id'] = $waiter['name'];
                    $data['table_id'] = $table['table_number'];


                    if (!isset($waiter['name']) || empty($waiter['name'])) {
                        $data['waiter_id'] = '';
                    } else {
                        $data['waiter_id'] = $waiter['name'];
                    }

                    if (!isset($table['table_number']) || empty($table['table_number'])) {
                        $data['table_id'] = '';
                    } else {
                        $data['table_id'] = $table['table_number'];
                    }

                    $menus = OrderMenu::find()->where(['order_number' => $data['order_number']])->asArray()->all();
                    $data['menu'] = $menus;

                    $toppingItems = array();
                    foreach ($menus as $menu) {
                        $topping = Ordertopping::find()->where(['menuId' => $menu['id']])->asArray()->all();
                        $menu['toppingOrder'] = $topping;
                        $toppingItems[] = $menu;
                    }
                    $data['menu'] = $toppingItems;
                    $menuItems[] = $data;
                }

                return array('status_code' => 200, 'status' => 'success',
                    'responseData' => array('message' => 'Order list found successfully.', 'data' => $menuItems));
            } else {
                return array('status_code' => 400, 'status' => 'failure',
                    'responseData' => array('message' => 'No data found.', 'data' => array()));
            }
        } else {

            return array('status_code' => 400, 'status' => 'failure',
                'responseData' => array('message' => 'Please provide valid input data.', 'data' => array()));
        }
    }

}
