<?php

namespace backend\modules\api\controllers;

use Yii;
use backend\modules\api\models\Setting;

class SettingController extends \yii\web\Controller {

    public $enableCsrfValidation = false;

    public function actionIndex() {
        return $this->render('index');
    }

    public function actionSettingList() {

        \Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;

        $setting = new Setting();
        $setting->attributes = \Yii::$app->request->post();

        $restaurant_id = $_POST['restaurant_id'];
        $response = Setting::find()->where(['restaurant_id' => $restaurant_id])->asArray()->all();

        if (count($response) > 0) {

            return array('status_code' => 200, 'status' => 'success',
                'responseData' => array('message' => 'Settings found successfully.', 'data' => $response));
        } else {

            return array('status_code' => 400, 'status' => 'failure',
                'responseData' => array('message' => 'No data found.', 'data' => array()));
        }
    }

    public function actionSettingUpdate() {

        \Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;

        $restaurant_id = $_POST['restaurant_id'];
        $id = $_POST['setting_id'];
        $order_type = $_POST['order_type'];
        $isWaiter = $_POST['isWaiter'];
        $isTable = $_POST['isTable'];

        $model = $this->findModel($id);
        $model->order_type = $order_type;
        $model->isWaiter = $isWaiter;
        $model->isTable = $isTable;

        //   $response = Setting::find()->where(['restaurant_id' => $restaurant_id,
        //             'order_type' => $order_type])->asArray()->all();

        if ($model->save()) {
            return array('status_code' => 200, 'status' => 'success',
                'responseData' => array('message' => 'Settings updated successfully.', 'data' => $model));
        } else {
            return array('status_code' => 400, 'status' => 'failure',
                'responseData' => array('message' => 'Please try again.', 'data' => array()));
        }
    }

    protected function findModel($id) {
        if (($model = Setting::findOne($id)) !== null) {
            return $model;
        } else {
            throw new NotFoundHttpException('The requested page does not exist.');
        }
    }

}
