<?php

namespace backend\modules\api\controllers;

use backend\modules\api\models\User;

class UserController extends \yii\web\Controller {

    public $enableCsrfValidation = false;

    public function actionIndex() {
        return $this->render('index');
    }

    public function actionLogin() {

        \Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;

        $user = new User();
        $user->scenario = User::SCENARIO_LOGIN;
        $user->attributes = \Yii::$app->request->post();

        // if ($user->validate()) {
        $response = User::find()->where(['email' => $user->email, 'password' => $user->password])->one();

        if (isset($response) && !empty($response)) {

            $response->logo = \Yii::getAlias('@webImgUrl') . $response->logo;

            return array('status_code' => 200, 'status' => 'success',
                'responseData' => array('message' => 'Login successfully.', 'data' => $response));
        } else if (count($response) == 0) {
            return array('status_code' => 400, 'status' => 'failure',
                'responseData' => array('message' => 'Email/Password not matched.'));
        } else {
            return array('status_code' => 400, 'status' => 'failure',
                'responseData' => array('message' => 'Please provide valid input data.'));
        }
    }

    public function actionSignup() {
        \Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;

        $user = new User();

        $user->attributes = \Yii::$app->request->post();


        if ($user->validate()) {

            $date = date('Y-m-d H:i:s');
            $user['created_at'] = time();
            $user['updated_at'] = time();
            $user->save();
            $user = User::find()->where(['id' => $user->id])->one();

            if (isset($user)) {
                return array('status_code' => 200, 'status' => 'success',
                    'responseData' => array('message' => 'Registration successfully.', 'data' => $user));
            } else {
                return array('status_code' => 400, 'status' => 'failure',
                    'responseData' => array('message' => 'Please provide valid input data1.', 'data' => ''));
            }
        } else {

            if (array_key_exists("email", $user->errors)) {
                return array('status_code' => 400, 'status' => 'failure',
                    'responseData' => array('message' => 'Email already exist', 'data' => ''));
            } else {
                return array('status_code' => 400, 'status' => 'failure',
                    'responseData' => array('message' => 'Please provide valid input data2.', 'data' => ''));
            }
        }
    }

}
