<?php

namespace backend\modules\api\models;

use Yii;

/**
 * This is the model class for table "user".
 *
 * @property integer $id
 * @property string $restaurant_name
 * @property string $owner_firstname
 * @property string $owner_lastname
 * @property string $email
 * @property string $password
 * @property string $phone_no
 * @property string $landline_no
 * @property string $logo
 * @property integer $isActive
 * @property string $username
 * @property string $auth_key
 * @property string $password_hash
 * @property string $password_reset_token
 * @property integer $status
 * @property integer $created_at
 * @property integer $updated_at
 */
class User extends \yii\db\ActiveRecord
{

    const SCENARIO_LOGIN = 'login';

    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'user';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['restaurant_name','owner_firstname', 'owner_lastname', 'email', 'password', 'phone_no', 'landline_no', 'logo'], 'required'],
            [['role','isActive', 'status', 'created_at', 'updated_at'], 'integer'],
            [['restaurant_name'], 'string', 'max' => 200],
            [['owner_firstname', 'owner_lastname', 'password','username'], 'string', 'max' => 60],
            [['email'], 'string', 'max' => 100],
            [['phone_no', 'landline_no'], 'string', 'max' => 20],
            [['logo'], 'string', 'max' => 400],
           // [['username', 'password_hash', 'password_reset_token'], 'string', 'max' => 255],
           // [['auth_key'], 'string', 'max' => 32],
            [['email'], 'unique'],
        ];
    }

    public function scenarios(){
        $scenarios = parent::scenarios();
        $scenarios['login']  =['email','password'];
        return $scenarios;
    }


    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'restaurant_name' => 'Restaurant Name',
            'owner_firstname' => 'Owner Firstname',
            'owner_lastname' => 'Owner Lastname',
            'email' => 'Email',
            'password' => 'Password',
            'phone_no' => 'Phone No',
            'landline_no' => 'Landline No',
            'logo' => 'Logo',
            'isActive' => 'Is Active',
            'role' => 'Role',
            'username' => 'Username',
            'auth_key' => 'Auth Key',
            'password_hash' => 'Password Hash',
            'password_reset_token' => 'Password Reset Token',
            'status' => 'Status',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}
