<?php

namespace backend\modules\api\models;

use Yii;

/**
 * This is the model class for table "waiter".
 *
 * @property integer $id
 * @property integer $restaurant_id
 * @property string $name
 * @property string $mobile
 * @property string $image
 * @property string $address
 *
 * @property User $restaurant
 */
class Waiter extends \yii\db\ActiveRecord {

    /**
     * @inheritdoc
     */
    public static function tableName() {
        return 'waiter';
    }

    /**
     * @inheritdoc
     */
    public function rules() {
        return [
            [['restaurant_id', 'name', 'mobile', 'image', 'address'], 'required'],
            [['restaurant_id'], 'integer'],
            [['name', 'mobile', 'image', 'address'], 'string'],
            [['restaurant_id'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['restaurant_id' => 'id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels() {
        return [
            'id' => 'ID',
            'restaurant_id' => 'Restaurant ID',
            'name' => 'Name',
            'mobile' => 'Mobile',
            'image' => 'Image',
            'address' => 'Address',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getRestaurant() {
        return $this->hasOne(User::className(), ['id' => 'restaurant_id']);
    }

    public static function getWaiter($id) {

        return Waiter::find()->where(['id' => $id])->one();
    }

}
