<?php

use backend\assets\AppHomeAsset;
use yii\helpers\Html;
use yii\helpers\Url;

AppHomeAsset::register($this);
?>

<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
    <head>
        <meta charset="<?= Yii::$app->charset ?>"/>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <?= Html::csrfMetaTags() ?>
        <title><?= Html::encode($this->title) ?></title>
        <?php $this->head() ?>
    </head>
    <body>

        <?php $this->beginBody() ?>

        <?= $content ?>

        <?php $this->endBody() ?>
    </body>
</html>
<?php $this->endPage() ?>


<!--<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>HelloFoodPoint | Restaurant Management System</title>

        <link rel="stylesheet" type="text/css" href="../web/homeAssets/assets/css/bootstrap.min.css">

        <link rel="stylesheet" type="text/css" href="../web/homeAssets/assets/css/main.css">

        <link rel="stylesheet" type="text/css" href="../web/homeAssets/assets/css/responsive.css">

        <link rel="stylesheet" type="text/css" href="../web/homeAssets/assets/fonts/font-awesome.min.css">

        <link rel="stylesheet" type="text/css" href="../web/homeAssets/assets/fonts/simple-line-icons.css">

        <link rel="stylesheet" type="text/css" href="../web/homeAssets/assets/css/slicknav.css">

        <link rel="stylesheet" type="text/css" href="../web/homeAssets/assets/css/nivo-lightbox.css">

        <link rel="stylesheet" type="text/css" href="../web/homeAssets/assets/css/animate.css">

        <link rel="stylesheet" type="text/css" href="../web/homeAssets/assets/css/owl.carousel.css">

        <link rel="stylesheet" type="text/css" href="../web/homeAssets/assets/css/colors/default.css" media="screen" />


        [if lt IE 9]>
              <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
              <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
            <![endif]
    </head>
    <body>

        <header id="header-wrap">

            <div id="roof" class="hidden-xs">
                <div class="container">
                    <div class="col-md-6 col-sm-6">
                        <div class="info-bar-address">
                            <i class="icon-location-pin"></i> Mansarovar, Jaipur, India
                        </div>
                    </div>
                    <div class="col-md-6 col-sm-6">

                        <div class="quick-contacts">
                            <span><i class="icon-phone"></i> (91) 9530170876</span>
                            <span><i class="icon-envelope"></i><span >peeyushsinghal94@gmail.com</span></span>
                        </div>

                    </div>
                </div>
            </div>


            <div class="navigation-menu">
                <nav class="navbar navbar-default navbar-event">
                    <div class="container">

                        <div class="navbar-header col-md-2">
                            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
                                <span class="sr-only">Toggle navigation</span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>
                            <a class="navbar-brand" href="#"><img src="../web/homeAssets/assets/img/logo1.png" alt=""></a>
                        </div>
                        <div class="collapse navbar-collapse" id="navbar">
                            <ul class="nav navbar-nav navbar-right">
                                <li class="active"><a href="#">Home</a></li>

                                                                <li><a href="../web/homeAssets/assets/pages/about.php">About Us</a></li>
                                <li><?= Html::a('About Us', Url::to(['site/about']), ['data-method' => 'POST', 'class' => 'fa fa-arrow-circle-right  small-box-footer']); ?> </a></li>

                                <li><?= Html::a('SignUp', Url::to(['site/signup']), ['data-method' => 'POST', 'class' => 'fa fa-arrow-circle-right  small-box-footer']); ?> </a></li>
                                <li class="animated bounceIn"><?= Html::a('Login', Url::to(['site/login']), ['data-method' => 'POST', 'class' => 'fa fa-arrow-circle-right  small-box-footer']); ?> </a></li>
                                <li><a href="../web/homeAssets/assets/pages/contact.html">Contact</a></li>
                            </ul>
                        </div>
                    </div>

                    <ul class="wpb-mobile-menu">
                        <li class="active"><a href="#">Home</a></li>                     
                                                <li><a href="../web/homeAssets/assets/pages/about.php">About Us</a></li>
                        <li><?= Html::a('About Us', Url::to(['site/about']), ['data-method' => 'POST', 'class' => 'fa fa-arrow-circle-right  small-box-footer']); ?> </a></li>

                        <li><?= Html::a('SignUp', Url::to(['site/signup']), ['data-method' => 'POST', 'class' => 'fa fa-arrow-circle-right  small-box-footer']); ?> </a></li>
                        <li class="animated bounceIn"><?= Html::a('Login', Url::to(['site/login']), ['data-method' => 'POST', 'class' => 'fa fa-arrow-circle-right  small-box-footer']); ?> </a></li>
                        <li><a href="../web/homeAssets/assets/pages/contact.html">Contact</a></li>
                    </ul>

                </nav>
            </div>

        </header>


        <div id="carousel-area">
            <div id="carousel-slider" class="carousel slide" data-ride="carousel">

                <div class="carousel-inner" role="listbox">
                    <div class="item active">
                        <img src="../web/homeAssets/assets/img/slider/bg-1.jpg" alt="">
                        <div class="carousel-caption">
                            <h2 class="wow fadeInRight" data-wow-delay="300ms">The Modern Restaurant Management System<br> Join us be The First to advance Your Restaurant</h2>
                            <div class="buttons wow fadeInDown" data-wow-delay="0.2s"><?= Html::a('Registration', Url::to(['site/signup']), ['data-method' => 'POST', 'class' => 'btn btn-lg btn-border']); ?> </a></div>
                            <a data-scroll href="#featured">
                                <div class="rev-scroll-btn wow fadeInUp" data-wow-delay="600ms">
                                    <span></span>
                                </div>
                            </a>
                        </div>
                    </div>
                    <div class="item">
                        <img src="../web/homeAssets/assets/img/slider/bg-2.jpg" alt="">
                        <div class="carousel-caption">
                            <h2 class="wow fadeInUp" data-wow-delay="300ms">Superfast, Cloud Based & Made With Cutting Edge Technology</h2>
                            <div class="buttons">
                                                                <a class="btn btn-lg btn-common wow fadeInLeft" data-wow-delay="300ms" href="#">Buy Tickets</a>
                                <a class="btn btn-lg btn-border wow fadeInRight" data-wow-delay="300ms" href="../web/homeAssets/assets/pages/about.html"">Know More</a>
                            </div>
                            <a data-scroll href="#featured">
                                <div class="rev-scroll-btn wow fadeInUp" data-wow-delay="600ms">
                                    <span></span>
                                </div>
                            </a>
                        </div>
                    </div>
                    <div class="item">
                        <img src="../web/homeAssets/assets/img/slider/bg-3.jpg" alt="">
                        <div class="carousel-caption">
                            <h2 class="wow fadeInDown" data-wow-delay="300ms">Minimal, Modern & Extremely Easy Interface</h2>
                            <div class="wow fadeInUp" data-wow-delay="300ms"><?= Html::a('Apply Now', Url::to(['site/signup']), ['data-method' => 'POST', 'class' => 'btn btn-lg btn-common']); ?> </a></div>
                            <a data-scroll href="#featured">
                                <div class="rev-scroll-btn wow fadeInUp" data-wow-delay="600ms">
                                    <span></span>
                                </div>
                            </a>
                        </div>
                    </div>
                </div>

                <a class="left carousel-control" href="#carousel-slider" role="button" data-slide="prev">
                    <span class="icon-arrow-left" aria-hidden="true"></span>
                </a>
                <a class="right carousel-control" href="#carousel-slider" role="button" data-slide="next">
                    <span class="icon-arrow-right" aria-hidden="true"></span>
                </a>
            </div>
        </div>


        <section class="countdown-timer section">
            <div class="container">
                <div class="row">
                    <div class="col-md-6 col-sm-6 col-xs-12 wow fadeInLeft" data-wow-delay="0.2s">
                        <div class="text">
                            <h2>The Modern Restaurant Management System</h2>
                            <h4>Marriott Marquis, San Francisco, CA <br> Jan 25, 2018 - Jan 28, 2018 </h4>
                            <a href="pricing.html" class="btn btn-lg btn-common">Buy Tickets</a>
                        </div>
                    </div>
                    <div class="col-md-6 col-sm-6 col-xs-12 wow fadeInRight" data-wow-delay="0.2s">
                        <div class="time-countdown">
                            <div id="clock" class="time-count"></div>
                        </div>
                    </div>
                </div>
            </div>
        </section>


        <section id="event" class="section">
            <div class="container">
                <div class="row">
                    <div class="col-md-3 col-sm-6 col-xs-12">
                        <div class="tab-block wow fadeInDown" data-wow-delay="0s">
                            <div class="icon">
                                <i class="icon-location-pin"></i>
                            </div>
                            <div class="desc">
                                <h4>Location</h4>
                                <p>Marriott Marquis, San Francisco</p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-6 col-xs-12">
                        <div class="tab-block wow fadeInDown" data-wow-delay="0.2s">
                            <div class="icon">
                                <i class="icon-calendar"></i>
                            </div>
                            <div class="desc">
                                <h4>Date & Time</h4>
                                <p>1PM - 11PM, 25- 28 Jan</p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-6 col-xs-12">
                        <div class="tab-block wow fadeInDown" data-wow-delay="0.4s">
                            <div class="icon">
                                <i class="icon-microphone"></i>
                            </div>
                            <div class="desc">
                                <h4>Speakers</h4>
                                <p>10 Tech Icons and Professionals</p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-6 col-xs-12">
                        <div class="tab-block last-block wow fadeInDown" data-wow-delay="0.6s">
                            <div class="icon">
                                <i class="icon-wallet"></i>
                            </div>
                            <div class="desc left">
                                <h4>Tickets</h4>
                                <p>150 People</p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="content-text">
                            <h3 class="wow fadeInUp" data-wow-delay="0.8s">Get fresh insights into the world of tech and startups</h3>
                            <p class="wow fadeInUp" data-wow-delay="1s">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. A enean massa. Cum sociis natoque penatibus et magnis dis parturient montes Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</p>
                        </div>
                    </div>
                </div>
            </div>
        </section>


        <section id="featured" class="section">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <h2 class="section-title wow fadeInUp" data-wow-delay="0s">Why Join</h2>
                        <p class="section-subcontent wow fadeInUp" data-wow-delay="0.2s">HelloFoodPoint is the app specially designed for Single/Multi-Chain Restaurants, Franchises, Ice-Cream Shops, Pizza & Fastfood Outlets.</br> HelloFoodPoint is the all-in-one & centralized app for taking orders, takeaways & home delivery of foods with Mobiles, Tablets & POS System. </br> With the help of it, restaurant managers can organize everything within HelloFoodPoint app.</p>
                        <div class="col-md-4 col-sm-6">
                            <div class="featured-box wow fadeInLeft" data-wow-delay="0.1s">
                                <div class="icon">
                                    <i class="icon-energy"></i>
                                </div>
                                <div class="featured-content">
                                    <h4> Table Management</h4>
                                    <p>Add & modify tables according to the arrangement at your restaurant with number of available seat in each table. The status of the table i.e. Available, Occupied or Finished can be set and it will be synced across all the devices being used in the restaurant. </p>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4 col-sm-6">
                            <div class="featured-box wow fadeInLeft" data-wow-delay="0.2s">
                                <div class="icon">
                                    <i class="icon-people"></i>
                                </div>
                                <div class="featured-content">
                                    <h4>Menu Management</h4>
                                    <p>You can add the list of items you server with proper categories, variants, flavours, size, toppings & quantity. You can also describe the item and the ingredients in it so the customer can have better idea about the food and can order according to his/her taste.</p>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4 col-sm-6">
                            <div class="featured-box wow fadeInLeft" data-wow-delay="0.3s">
                                <div class="icon">
                                    <i class="icon-graph"></i>
                                </div>
                                <div class="featured-content">
                                    <h4>Order Taking With Mobile App</h4>
                                    <p>You can take orders with respective to the table number in Computer at the manager desk or via mobiles which will be given to the waiters & captains. Each order placed will have a detail of the person who’ve added and when.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>


        <section id="schedule" class="section">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <h2 class="section-title wow fadeInUp" data-wow-delay="0s">Schedule</h2>
                        <p class="section-subcontent wow fadeInUp" data-wow-delay="0.2s">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. A <br> enean massa. Cum sociis natoque penatibus et magnis dis parturient montes.</p>

                        <div class="main-board wow fadeInDown" data-wow-delay="0.3s">

                            <ul class="nav nav-tabs day" role="tablist">
                                <li role="presentation" class="active"><a href="#day1" aria-controls="day1" role="tab" data-toggle="tab">25 JAN <br> <span>DAY 01</span></a></li>
                                <li role="presentation"><a href="#day2" aria-controls="day2" role="tab" data-toggle="tab">26 JAN <br> <span>DAY 02</span> </a></li>
                                <li role="presentation"><a href="#day3" aria-controls="day3" role="tab" data-toggle="tab">27 JAN <br> <span>DAY 03</span></a></li>
                                <li role="presentation"><a href="#day4" aria-controls="day4" role="tab" data-toggle="tab">28 JAN <br> <span>DAY 04</span></a></li>
                            </ul>

                            <div class="tab-content">

                                <div role="tabpanel" class="tab-pane active" id="day1">
                                    <div class="row">
                                        <div class="col-md-12 board text-center">
                                            <div class="column-1 col-md-3 col-sm-5">
                                                <ul class="nav nav-pills event-time-list">
                                                    <li><a href="#">Time</a>
                                                        <ul>
                                                            <li class="color-1"><a href="#">8am - 12 pm</a></li>
                                                            <li class="color-2"><a href="#">12pm - 1 pm</a></li>
                                                            <li class="color-3"><a href="#">1pm - 1.30 pm</a></li>
                                                            <li class="color-4"><a href="#">2pm - 3 pm</a></li>
                                                        </ul>
                                                    </li>
                                                </ul>
                                            </div>
                                            <div class="col-md-4 col-sm-6">
                                                <div class="member stephen">
                                                    <div class="button">
                                                        <a href="#" class="btn-large bg-1"><img src="assets/img/microphone.png" alt=""> Stephen Curry</a>
                                                    </div>
                                                    <h4>Main Topic</h4>
                                                    <p>Lorem ipsum dolor sit amet, consec-tetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa.</p>
                                                </div>
                                                <div class="member jeson">
                                                    <div class="button">
                                                        <a href="#" class="btn-large bg-2"><img src="assets/img/microphone.png" alt=""> Jeson Holde</a>
                                                    </div>
                                                    <h4>Main Topic</h4>
                                                    <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa.</p>
                                                </div>
                                            </div>
                                            <div class="col-md-1 col-sm-1">
                                                <div class="coffee">
                                                    <div class="coffee-icon">
                                                        <img src="assets/img/coffee-cup.png" alt="">
                                                    </div>
                                                    <p>
                                                        C <br> O <br> F <br> F <br>E <br>E <br> <br> B <br> R <br> E <br> A <br> K
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-12">
                                                <div class="member jon">
                                                    <div class="button">
                                                        <a href="#" class="btn-large bg-3"><img src="assets/img/microphone.png" alt=""> Jone Doe</a>
                                                    </div>
                                                    <h4>Main Topic</h4>
                                                    <p>Lorem ipsum dolor sit amet, consec-tetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa.</p>
                                                    <p>Lorem ipsum dolor sit amet, consec-tetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa.</p>
                                                    <p>Lorem ipsum dolor sit amet, consec-tetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa.</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>


                                <div role="tabpanel" class="tab-pane" id="day2">
                                    <div class="row">
                                        <div class="col-md-12 board text-center">
                                            <div class="column-1 col-md-3 col-sm-5">
                                                <ul class="nav nav-pills event-time-list">
                                                    <li><a href="#">Time</a>
                                                        <ul>
                                                            <li class="color-1"><a href="#">10am - 12pm</a></li>
                                                            <li class="color-2"><a href="#">12pm - 2pm</a></li>
                                                            <li class="color-3"><a href="#">2pm - 3pm</a></li>
                                                            <li class="color-4"><a href="#">3pm - 5pm</a></li>
                                                        </ul>
                                                    </li>
                                                </ul>
                                            </div>
                                            <div class="col-md-4 col-sm-6">
                                                <div class="member stephen">
                                                    <div class="button">
                                                        <a href="#" class="btn-large bg-1"><img src="assets/img/microphone.png" alt="">Bushra Ahsani</a>
                                                    </div>
                                                    <h4>Main Topic</h4>
                                                    <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those intereste.</p>
                                                </div>
                                                <div class="member jeson">
                                                    <div class="button">
                                                        <a href="#" class="btn-large bg-2"><img src="assets/img/microphone.png" alt="">John Berry</a>
                                                    </div>
                                                    <h4>Main Topic</h4>
                                                    <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those intereste.</p>
                                                </div>
                                            </div>
                                            <div class="col-md-1 col-sm-1">
                                                <div class="coffee">
                                                    <div class="coffee-icon">
                                                        <img src="assets/img/coffee-cup.png" alt="">
                                                    </div>
                                                    <p>
                                                        C <br> O <br> F <br> F <br>E <br>E <br> <br> B <br> R <br> E <br> A <br> K
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-12">
                                                <div class="member jon">
                                                    <div class="button">
                                                        <a href="#" class="btn-large bg-3"><img src="assets/img/microphone.png" alt="">Martin Jones</a>
                                                    </div>
                                                    <h4>Main Topic</h4>
                                                    <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those intereste.</p>
                                                    <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those intereste.</p>
                                                    <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those intereste.</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>


                                <div role="tabpanel" class="tab-pane" id="day3">
                                    <div class="row">
                                        <div class="col-md-12 board text-center">
                                            <div class="column-1 col-md-3 col-sm-5">
                                                <ul class="nav nav-pills event-time-list">
                                                    <li><a href="#">Time</a>
                                                        <ul>
                                                            <li class="color-1"><a href="#">8am - 12 pm</a></li>
                                                            <li class="color-2"><a href="#">12pm - 1 pm</a></li>
                                                            <li class="color-3"><a href="#">1pm - 1.30 pm</a></li>
                                                            <li class="color-4"><a href="#">2pm - 3 pm</a></li>
                                                        </ul>
                                                    </li>
                                                </ul>
                                            </div>
                                            <div class="col-md-4 col-sm-6">
                                                <div class="member stephen">
                                                    <div class="button">
                                                        <a href="#" class="btn-large bg-1"><img src="assets/img/microphone.png" alt="">Jon Doe</a>
                                                    </div>
                                                    <h4>Main Topic</h4>
                                                    <p>Lorem ipsum dolor sit amet, consec-tetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa.</p>
                                                </div>
                                                <div class="member jeson">
                                                    <div class="button">
                                                        <a href="#" class="btn-large bg-2"><img src="assets/img/microphone.png" alt="">Leo Amber</a>
                                                    </div>
                                                    <h4>Main Topic</h4>
                                                    <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa.</p>
                                                </div>
                                            </div>
                                            <div class="col-md-1 col-sm-1">
                                                <div class="coffee">
                                                    <div class="coffee-icon">
                                                        <img src="assets/img/coffee-cup.png" alt="">
                                                    </div>
                                                    <p>
                                                        C <br> O <br> F <br> F <br>E <br>E <br> <br> B <br> R <br> E <br> A <br> K
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-12">
                                                <div class="member jon">
                                                    <div class="button">
                                                        <a href="#" class="btn-large bg-3"><img src="assets/img/microphone.png" alt="">Natali Aero</a>
                                                    </div>
                                                    <h4>Main Topic</h4>
                                                    <p>Lorem ipsum dolor sit amet, consec-tetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa.</p>
                                                    <p>Lorem ipsum dolor sit amet, consec-tetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa.</p>
                                                    <p>Lorem ipsum dolor sit amet, consec-tetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa.</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>


                                <div role="tabpanel" class="tab-pane" id="day4">
                                    <div class="row">
                                        <div class="col-md-12 board text-center">
                                            <div class="column-1 col-md-3 col-sm-5">
                                                <ul class="nav nav-pills event-time-list">
                                                    <li><a href="#">Time</a>
                                                        <ul>
                                                            <li class="color-1"><a href="#">3pm - 5pm</a></li>
                                                            <li class="color-2"><a href="#">5pm - 7pm</a></li>
                                                            <li class="color-3"><a href="#">7pm - 7.30 pm</a></li>
                                                            <li class="color-4"><a href="#">8pm - 10pm</a></li>
                                                        </ul>
                                                    </li>
                                                </ul>
                                            </div>
                                            <div class="col-md-4 col-sm-6">
                                                <div class="member stephen">
                                                    <div class="button">
                                                        <a href="#" class="btn-large bg-1"><img src="assets/img/microphone.png" alt="">Julia Merry</a>
                                                    </div>
                                                    <h4>Main Topic</h4>
                                                    <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those intereste.</p>
                                                </div>
                                                <div class="member jeson">
                                                    <div class="button">
                                                        <a href="#" class="btn-large bg-2"><img src="assets/img/microphone.png" alt="">Jeson Eva</a>
                                                    </div>
                                                    <h4>Main Topic</h4>
                                                    <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those intereste.</p>
                                                </div>
                                            </div>
                                            <div class="col-md-1 col-sm-1">
                                                <div class="coffee">
                                                    <div class="coffee-icon">
                                                        <img src="assets/img/coffee-cup.png" alt="">
                                                    </div>
                                                    <p>
                                                        C <br> O <br> F <br> F <br>E <br>E <br> <br> B <br> R <br> E <br> A <br> K
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-12">
                                                <div class="member jon">
                                                    <div class="button">
                                                        <a href="#" class="btn-large bg-3"><img src="assets/img/microphone.png" alt="">David Ramon</a>
                                                    </div>
                                                    <h4>Main Topic</h4>
                                                    <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those intereste.</p>
                                                    <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those intereste.</p>
                                                    <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those intereste.</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>

                        </div>

                    </div>
                </div>
            </div>
        </section>


        <section id="sponsors" class="section">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <h2 class="section-title wow fadeInUp" data-wow-delay="0s">Our Sponsors</h2>
                        <p class="section-subcontent wow fadeInUp" data-wow-delay="0.2s">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. A <br> enean massa. Cum sociis natoque penatibus et magnis dis parturient montes.</p>
                    </div>
                    <div class="col-md-3 col-sm-6 col-xs-12">
                        <div class="spnsors-logo wow fadeInUp" data-wow-delay="0.1s">
                            <a href="#"><img src="assets/img/sponsors/logo-01.png" alt=""></a>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-6 col-xs-12">
                        <div class="spnsors-logo wow fadeInUp" data-wow-delay="0.2s">
                            <a href="#"><img src="assets/img/sponsors/logo-02.png" alt=""></a>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-6 col-xs-12">
                        <div class="spnsors-logo wow fadeInUp" data-wow-delay="0.3s">
                            <a href="#"><img src="assets/img/sponsors/logo-03.png" alt=""></a>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-6 col-xs-12">
                        <div class="spnsors-logo wow fadeInUp" data-wow-delay="0.4s">
                            <a href="#"><img src="assets/img/sponsors/logo-04.png" alt=""></a>
                        </div>
                    </div>
                </div>
            </div>
        </section>


        <section id="gallery" class="section">
            <div class="container">
                <div class="col-md-12">
                    <h2 class="section-title wow fadeInUp" data-wow-delay="0s">Our Gallery</h2>
                    <p class="section-subcontent wow fadeInUp" data-wow-delay="0.2s">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. A <br> enean massa. Cum sociis natoque penatibus et magnis dis parturient montes.</p>
                </div>
                <div class="gallery-wrap wow fadeInDown">
                    <div class="col-md-4 col-sm-4 col-xs-12 gellery-pn">
                        <div class="gallery-item">
                            <a href="#"><img src="assets/img/gallery/img-1.jpg" alt=""></a>
                            <div class="overlay">
                                <div class="icons">
                                    <a class="preview lightbox" href="assets/img/gallery/img-1.jpg"><i class="icon-eye"></i></a>
                                    <a class="link" href="gallery.html"><i class="icon-link"></i></a>
                                </div>
                            </div>
                        </div>
                        <div class="gallery-item">
                            <a href="#"><img src="assets/img/gallery/img-2.jpg" alt=""></a>
                            <div class="overlay">
                                <div class="icons">
                                    <a class="preview lightbox" href="assets/img/gallery/img-2.jpg"><i class="icon-eye"></i></a>
                                    <a class="link" href="gallery.html"><i class="icon-link"></i></a>
                                </div>
                            </div>
                        </div>
                        <div class="gallery-item">
                            <a href="#"><img src="assets/img/gallery/img-3.jpg" alt=""></a>
                            <div class="overlay">
                                <div class="icons">
                                    <a class="preview lightbox" href="assets/img/gallery/lagre-3.jpg"><i class="icon-eye"></i></a>
                                    <a class="link" href="gallery.html"><i class="icon-link"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-4 col-xs-12 gellery-pn">
                        <div class="gallery-item">
                            <a href="#"><img src="assets/img/gallery/img-4.jpg" alt=""></a>
                            <div class="overlay">
                                <div class="icons">
                                    <a class="preview lightbox" href="assets/img/gallery/img-4.jpg"><i class="icon-eye"></i></a>
                                    <a class="link" href="gallery.html"><i class="icon-link"></i></a>
                                </div>
                            </div>
                        </div>
                        <div class="gallery-item">
                            <a href="#"><img src="assets/img/gallery/img-5.jpg" alt=""></a>
                            <div class="overlay">
                                <div class="icons">
                                    <a class="preview lightbox" href="assets/img/gallery/img-5.jpg"><i class="icon-eye"></i></a>
                                    <a class="link" href="gallery.html"><i class="icon-link"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-4 col-xs-12 gellery-pn">
                        <div class="gallery-item">
                            <a href="#"><img src="assets/img/gallery/img-6.jpg" alt=""></a>
                            <div class="overlay">
                                <div class="icons">
                                    <a class="preview lightbox" href="assets/img/gallery/img-6.jpg"><i class="icon-eye"></i></a>
                                    <a class="link" href="gallery.html"><i class="icon-link"></i></a>
                                </div>
                            </div>
                        </div>
                        <div class="gallery-item">
                            <a href="#"><img src="assets/img/gallery/img-7.jpg" alt=""></a>
                            <div class="overlay">
                                <div class="icons">
                                    <a class="preview lightbox" href="assets/img/gallery/img-7.jpg"><i class="icon-eye"></i></a>
                                    <a class="link" href="gallery.html"><i class="icon-link"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="more-btn">
                        <a href="gallery.html" class="btn btn-common wow fadeInUp" data-wow-delay="0.3s">show more</a>
                    </div>
                </div>
            </div>
        </section>


        <section id="speakers" class="section">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <h2 class="section-title wow fadeInUp" data-wow-delay="0s">Meet Our Speakers</h2>
                        <p class="section-subcontent wow fadeInUp" data-wow-delay="0.2s">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. A <br> enean massa. Cum sociis natoque penatibus et magnis dis parturient montes.</p>
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        <div class="speakers-member wow fadeIn" data-wow-delay="0.1s">
                            <div class="member-img">
                                <img src="assets/img/teacher/img-1.png" alt="">
                            </div>
                            <div class="member-desc">
                                <h3>Jon Doe</h3>
                                <h5>CEO, Peloton Cycle</h5>
                                <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those intereste.</p>
                                <div class="social-icon">
                                    <a class="social" href="#" target="_blank"><i class="fa fa-facebook"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-twitter"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-linkedin"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-dribbble"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-behance"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        <div class="speakers-member wow fadeIn" data-wow-delay="0.3s">
                            <div class="member-img">
                                <img src="assets/img/teacher/img-2.png" alt="">
                            </div>
                            <div class="member-desc">
                                <h3>Natali Aero</h3>
                                <h5>Co-founder, Hometeam</h5>
                                <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those intereste.</p>
                                <div class="social-icon">
                                    <a class="social" href="#" target="_blank"><i class="fa fa-facebook"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-twitter"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-linkedin"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-dribbble"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-behance"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        <div class="speakers-member wow fadeIn" data-wow-delay="0.5s">
                            <div class="member-img">
                                <img src="assets/img/teacher/img-3.png" alt="">
                            </div>
                            <div class="member-desc">
                                <h3>Leo Amber</h3>
                                <h5>Director, Via</h5>
                                <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those intereste.</p>
                                <div class="social-icon">
                                    <a class="social" href="#" target="_blank"><i class="fa fa-facebook"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-twitter"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-linkedin"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-dribbble"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-behance"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        <div class="speakers-member wow fadeIn" data-wow-delay="0.7s">
                            <div class="member-img">
                                <img src="assets/img/teacher/img-4.png" alt="">
                            </div>
                            <div class="member-desc">
                                <h3>Jeson Eva</h3>
                                <h5>Co-founder, theSkimm</h5>
                                <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those intereste.</p>
                                <div class="social-icon">
                                    <a class="social" href="#" target="_blank"><i class="fa fa-facebook"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-twitter"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-linkedin"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-dribbble"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-behance"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        <div class="speakers-member wow fadeIn" data-wow-delay="0.9s">
                            <div class="member-img">
                                <img src="assets/img/teacher/img-5.png" alt="">
                            </div>
                            <div class="member-desc">
                                <h3>Lamba Kureshi</h3>
                                <h5>Professor, Boston University</h5>
                                <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those intereste.</p>
                                <div class="social-icon">
                                    <a class="social" href="#" target="_blank"><i class="fa fa-facebook"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-twitter"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-linkedin"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-dribbble"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-behance"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        <div class="speakers-member wow fadeIn" data-wow-delay="1s">
                            <div class="member-img">
                                <img src="assets/img/teacher/img-6.png" alt="">
                            </div>
                            <div class="member-desc">
                                <h3>Leo Amber</h3>
                                <h5>CEO, lrisVR</h5>
                                <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those intereste.</p>
                                <div class="social-icon">
                                    <a class="social" href="#" target="_blank"><i class="fa fa-facebook"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-twitter"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-linkedin"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-dribbble"></i></a>
                                    <a class="social" href="#" target="_blank"><i class="fa fa-behance"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="more-btn text-center">
                        <a href="speakers.html" class="btn btn-common wow fadeInUp" data-wow-delay="0.3s">show more</a>
                    </div>
                </div>
            </div>
        </section>


        <section id="blog" class="section">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <h2 class="section-title wow fadeInUp" data-wow-delay="0s">Blog</h2>
                        <p class="section-subcontent wow fadeInUp" data-wow-delay="0.2s">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. A <br> enean massa. Cum sociis natoque penatibus et magnis dis parturient montes.</p>
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        <div class="blog-item wow fadeInRight" data-wow-delay="0.2s">
                            <div class="blog-image">
                                <a href="#">
                                    <img src="assets/img/blog/img1.jpg" alt="">
                                </a>
                            </div>
                            <div class="blog-info">
                                <h3><a href="single-post.html">We make beautiful days with older adults</a></h3>
                                <div class="meta">
                                    <span class="meta-part"><a href="#"><i class="icon-eye"></i> 2500</a></span>
                                    <span class="meta-part"><a href="#"><i class="icon-bubble"></i> 100</a></span>
                                    <span class="meta-part"><a href="#"><i class="icon-calendar"></i> 21 Mar, 2016</a></span>
                                </div>
                                <p>Lorem ipsum dolor sit amet cons tetuer adipiscing elit. dolor sit...</p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        <div class="blog-item wow fadeInUp" data-wow-delay="0.2s">
                            <div class="blog-image">
                                <a href="#">
                                    <img src="assets/img/blog/img2.jpg" alt="">
                                </a>
                            </div>
                            <div class="blog-info">
                                <h3><a href="single-post.html">Change-makers economic</a></h3>
                                <div class="meta">
                                    <span class="meta-part"><a href="#"><i class="icon-eye"></i> 2500</a></span>
                                    <span class="meta-part"><a href="#"><i class="icon-bubble"></i> 100</a></span>
                                    <span class="meta-part"><a href="#"><i class="icon-calendar"></i> 21 Mar, 2016</a></span>
                                </div>
                                <p>Lorem ipsum dolor sit amet cons tetuer adipiscing elit. dolor sit...</p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        <div class="blog-item wow fadeInLeft" data-wow-delay="0.2s">
                            <div class="blog-image">
                                <a href="#">
                                    <img src="assets/img/blog/img3.jpg" alt="">
                                </a>
                            </div>
                            <div class="blog-info">
                                <h3><a href="single-post.html">It’s no secret that virtual reality</a></h3>
                                <div class="meta">
                                    <span class="meta-part"><a href="#"><i class="icon-eye"></i> 2500</a></span>
                                    <span class="meta-part"><a href="#"><i class="icon-bubble"></i> 100</a></span>
                                    <span class="meta-part"><a href="#"><i class="icon-calendar"></i> 21 Mar, 2016</a></span>
                                </div>
                                <p>Lorem ipsum dolor sit amet cons tetuer adipiscing elit. dolor sit...</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>


        <section id="pricing" class="section">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <h2 class="section-title wow fadeInUp" data-wow-delay="0s">Take a look at Our Pricing</h2>
                        <p class="section-subcontent wow fadeInUp" data-wow-delay="0.2s">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. A <br> enean massa. Cum sociis natoque penatibus et magnis dis parturient montes.</p>
                    </div>
                    <div class="col-md-4 col-sm-4 col-xs-12">
                        <div class="pricing-table wow fadeInLeft" data-wow-delay="0.3s">
                            <div class="table-icon">
                                <i class="icon-user"></i>
                            </div>
                            <h3>BASIC</h3>
                            <ul class="plan-info">
                                <li><i class="icon-check"></i> Access to Booth</li>
                                <li><i class="icon-minus"></i> Conference Tickets</li>
                                <li><i class="icon-minus"></i> Printed Materials</li>
                            </ul>
                            <div class="price">
                                <h4>$0.00</h4>
                            </div>
                            <div class="button-area">
                                <a href="#" class="btn btn-common">Buy Now</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-4 col-xs-12">
                        <div class="pricing-table pricing-active wow fadeInDown" data-wow-delay="0.3s">
                            <div class="table-icon">
                                <i class="icon-plane"></i>
                            </div>
                            <h3>STANDARD</h3>
                            <ul class="plan-info">
                                <li><i class="icon-check"></i> Access to Booth</li>
                                <li><i class="icon-check"></i> Conference Tickets</li>
                                <li><i class="icon-minus"></i> Printed Materials</li>
                            </ul>
                            <div class="price">
                                <h4>$99</h4>
                            </div>
                            <div class="button-area">
                                <a href="#" class="btn btn-common">Buy Now</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-4 col-xs-12">
                        <div class="pricing-table wow fadeInRight" data-wow-delay="0.3s">
                            <div class="table-icon">
                                <i class="icon-lock"></i>
                            </div>
                            <h3>PREMIUM</h3>
                            <ul class="plan-info">
                                <li><i class="icon-check"></i> Access to Booth</li>
                                <li><i class="icon-check"></i> Conference Tickets</li>
                                <li><i class="icon-check"></i> Printed Materials</li>
                            </ul>
                            <div class="price">
                                <h4>$149</h4>
                            </div>
                            <div class="button-area">
                                <a href="#" class="btn btn-common">Buy Now</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>


        <section id="map">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-12">
                        <h2 class="section-title wow fadeInUp" data-wow-delay="0s">Get In Touch</h2>
                        <p class="section-subcontent wow fadeInUp" data-wow-delay="0.2s">If you're impressed with the product and want to have a quick live demo, please drop your information here and we'll call back. We'll setup a demo at your restaurant if possible. </p>
                    </div>
                                        <div id="map_canvas"> </div>
                    <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d56953.001257211705!2d75.72897531495757!3d26.85386168698178!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x396db500273e196d%3A0x918a37842bf2bb43!2sMansarovar%2C+Jaipur%2C+Rajasthan!5e0!3m2!1sen!2sin!4v1550377341237" width="100%" height="600" frameborder="0" style="border:0" allowfullscreen></iframe>
                </div>
            </div>
        </section>


        <div class="main-content">

            <section id="contact">
                <div class="container">
                    <div class="row wow fadeInDown" data-wow-delay="0.3s">
                        <div class="col-md-8 col-sm-7 contact-form">
                            <form role="form" id="contactForm" data-toggle="validator">
                                <div class="title-header">
                                    <h3 class="title-medium pull-left">Send us a message</h3>
                                    <div class="icon pull-right"><i class="icon-envelope"></i></div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="label-line">
                                            <span class="span"></span>
                                            <label class="label transition">Name</label>
                                            <input type="text" class="input" id="name" required data-error="Please enter your name">
                                            <div class="help-block with-errors"></div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="label-line">
                                            <span class="span"></span>
                                            <label class="label transition">Email</label>
                                            <input type="email" class="input" id="email" required data-error="Please enter your email">
                                            <div class="help-block with-errors"></div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="label-line textarea">
                                            <span class="span"></span>
                                            <label class="label transition">Message</label>
                                            <textarea id="message" class="input" required data-error="Write your message"></textarea>
                                            <div class="help-block with-errors"></div>
                                        </div>
                                        <button type="submit" id="form-submit" class="btn btn-common">Send <i class="icon-paper-plane" aria-hidden="true"></i></button>
                                        <div id="msgSubmit" class="h3 text-center hidden"></div>
                                        <div class="clearfix"></div>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="col-md-4 col-sm-5 information">
                            <div class="title-header">
                                <h3 class="title-medium">Contact Informatione</h3>
                            </div>
                            <div class="contact-datails">
                                <div class="icon">
                                    <i class="fa fa-map-marker"></i>
                                </div>
                                <div class="info">
                                    <span class="detail">Mansarovar, Jaipur<br> India</span>
                                </div>
                            </div>
                            <div class="contact-datails">
                                <div class="icon">
                                    <i class="fa fa-phone"></i>
                                </div>
                                <div class="info">
                                    <span class="detail">+91-9530170876</span>
                                </div>
                            </div>
                            <div class="contact-datails">
                                <div class="icon">
                                    <i class="fa fa-envelope"></i>
                                </div>
                                <div class="info">
                                    <span class="detail">peeyushsinghal94@gmail.com</a></span>
                                </div>
                            </div>
                            <div class="social text-center">
                                <a class="social" href="#" target="_blank"><i class="fa fa-twitter"></i></a>
                                <a class="social" href="#" target="_blank"><i class="fa fa-google-plus"></i></a>
                                <a class="social" href="#" target="_blank"><i class="fa fa-linkedin"></i></a>
                            </div>
                        </div>
                    </div>
                </div>
            </section>


                        <footer class="section">
                            <div class="container">
                                <div class="row">
                                    <div class="col-md-3 col-sm-3 col-xs-12">
                                        <h3><img src="assets/img/footer-logo.png" alt=""></h3>
                                        <p>
                                            If you're impressed with the product and want to have a quick live demo, please drop your information here and we'll call back. We'll setup a demo at your restaurant if possible. 
                                        </p>
                                    </div>
                                    <div class="col-md-3 col-sm-3 col-xs-12">
                                        <h3>Support</h3>
                                        <ul>
                                            <li><a href="#">Support</a></li>
                                            <li><a href="#">Docs</a></li>
                                            <li><a href="#">Contact Us</a></li>
                                        </ul>
                                    </div>
                                    <div class="col-md-3 col-sm-3 col-xs-12">
                                        <h3>Learn More</h3>
                                        <ul>
                                            <li><a href="#">How it Works</a></li>
                                            <li><a href="#">Blog</a></li>
                                            <li><a href="#">Log In</a></li>
                                            <li><a href="#">Sign Up</a></li>
                                        </ul>
                                    </div>
                                    <div class="col-md-3 col-sm-3 col-xs-12">
                                        <h3>Quick Link</h3>
                                        <ul>
                                            <li><a href="#">Schedule</a></li>
                                            <li><a href="#">Gallery</a></li>
                                            <li><a href="#">Team</a></li>
                                            <li><a href="#">Blog</a></li>
                                            <li><a href="#">Pricing</a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </footer>

        </div>


        <section id="copyright">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <p class="copyright-text text-center">
                            ©Designed and Developed by
                            <a href="http://roboeyelabs.com/">
                                Roboeyelabs
                            </a>
                        </p>
                    </div>
                </div>
            </div>
        </section>


        <a href="#" class="back-to-top">
            <i class="icon-arrow-up"></i>
        </a>
                <div class="bottom"> <a href="#" class="settings"></a> </div>

        <script data-cfasync="false" src="../../cdn-cgi/scripts/5c5dd728/cloudflare-static/email-decode.min.js"></script>
        <script src="../web/homeAssets/assets/js/jquery.min.js"></script>

        <script src="../web/homeAssets/assets/js/bootstrap.min.js"></script>

        <script src="../../backend/web/homeAssets/assets/js/jquery.countdown.min.js"></script>

        <script src="../../backend/web/homeAssets/assets/js/smooth-scroll.js"></script>

        <script src="../../backend/web/homeAssets/assets/js/wow.js"></script>

        <script src="../../backend/web/homeAssets/assets/js/owl.carousel.min.js"></script>

        <script src="../../backend/web/homeAssets/assets/js/jquery.slicknav.js"></script>

        <script src="../../backend/web/homeAssets/assets/js/nivo-lightbox.js"></script>

        <script src="../../backend/web/homeAssets/assets/js/form-validator.min.js"></script>
        <script src="../../backend/web/homeAssets/assets/js/contact-form-script.js"></script>

        <script src="../../backend/web/homeAssets/assets/js/color-switcher.js"></script>

        <script src="../../backend/web/homeAssets/assets/js/main.js"></script>

        <script type="text/javascript" src="../../backend/web/homeAssets/assets/js/jquery.mapit.min.js"></script>
        <script src="../../backend/web/homeAssets/assets/js/initializers.js"></script>
    </body>

</html>-->


