<?php

use yii\helpers\Html;
use yii\helpers\Url;

$role = Yii::$app->session->get('role');
$logo = Yii::$app->session->get('logo');
$restaurant_id = Yii::$app->session->get('restaurant_id');
$restaurant_name = Yii::$app->session->get('restaurant_name');

if (Yii::$app->user->isGuest) {
    $menuItems[] = ['label' => 'Login', 'url' => ['/site/login']];
} else {

    if ($role == '1') {
        // $menuItems[] = ['label' => 'Menu', 'url' => ['/menu/index']];
        //  $menuItems[] = ['label' => 'Category', 'url' => ['/category/index']];
        $menuItems[] = ['label' => 'User', 'url' => ['/user/index']];
    } else {
        $menuItems[] = ['label' => 'Dashboard', 'url' => ['/site/index'], 'icon' => 'fa fa-dashboard',];
        $menuItems[] = ['label' => 'Order List', 'url' => ['/order/index'], 'icon' => 'fa fa-dashboard',];
        $menuItems[] = ['label' => 'Category', 'url' => ['/category/index'], 'icon' => 'fa fa-dashboard', ['label' => 'Menu', 'url' => ['/menu/index'], 'icon' => 'fa fa-dashboard',]];
        $menuItems[] = ['label' => 'Menu', 'url' => ['/menu/index'], 'icon' => 'fa fa-dashboard',];
        $menuItems[] = ['label' => 'Waiters', 'url' => ['/waiter/index'], 'icon' => 'fa fa-dashboard',];
        $menuItems[] = ['label' => 'Tables', 'url' => ['/table/index'], 'icon' => 'fa fa-dashboard',];
        $menuItems[] = ['label' => 'Toppings', 'url' => ['/topping/index'], 'icon' => 'fa fa-dashboard',];
        $menuItems[] = ['label' => 'App Banner', 'url' => ['/banner/index'], 'icon' => 'fa fa-dashboard',];
        // $menuItems[] = ['label' => 'Settings', 'url' => ['/setting/index'], 'icon' => 'fa fa-dashboard',];
        $menuItems[] = ['label' => 'Feedbacks', 'url' => ['/feedback/index'], 'icon' => 'fa fa-dashboard',];
    }
}
?>

<aside class="main-sidebar">

    <section class="sidebar">

        <!-- Sidebar user panel -->
        <div class="user-panel">
            <div class="pull-left image">
                <?= Html::img($logo, ['class' => 'img-circle', 'alt' => 'User Image']) ?>
<!--                <img src="<?= $directoryAsset ?>/img/user2-160x160.jpg" class="img-circle" alt="User Image"/>-->
            </div>
            <div class="pull-left info">
                <p><?= $restaurant_name ?></p>

                <a href="#"><i class="fa fa-circle text-success"></i> Online</a>
            </div>
        </div>

        <!-- search form -->
        <form action="#" method="get" class="sidebar-form">
            <div class="input-group">
                <input type="text" name="q" class="form-control" placeholder="Search..."/>
                <span class="input-group-btn">
                    <button type='submit' name='search' id='search-btn' class="btn btn-flat"><i class="fa fa-search"></i>
                    </button>
                </span>
            </div>
        </form>
        <!-- /.search form -->

        <?=
        dmstr\widgets\Menu::widget(
                [
                    'options' => ['class' => 'sidebar-menu'],
                    'items' =>
                    //                [
                    $menuItems,
                //                    ['label' => 'Menu Yii2', 'options' => ['class' => 'header']],
                //                     ['label' => 'Dashboard', 'icon' => 'fa fa-file-code-o', 'url' => ['/site/index']],
//                        ['label' => 'Category', 'icon' => 'fa fa-dashboard', 'url' => ['/category/index']],
//                        ['label' => 'Menu', 'icon' => 'fa fa-dashboard', 'url' => ['/menu/index']],
//                        ['label' => 'Waiters', 'icon' => 'fa fa-dashboard', 'url' => ['/waiter/index']],
//                        ['label' => 'Tables', 'icon' => 'fa fa-dashboard', 'url' => ['/table/index']],
//                        ['label' => 'Toppings', 'icon' => 'fa fa-dashboard', 'url' => ['/topping/index']],
//                        ['label' => 'Order List', 'icon' => 'fa fa-dashboard', 'url' => ['/order/index']],
//                        
//                        
                //  ['label' => 'Login', 'url' => ['site/login'], 'visible' => Yii::$app->user->isGuest],
//                    [
//                        'label' => 'Same tools',
//                        'icon' => 'fa fa-share',
//                        'url' => '#',
//                        'items' => [
//                            ['label' => 'Gii', 'icon' => 'fa fa-file-code-o', 'url' => ['/gii'],],
//                            ['label' => 'Debug', 'icon' => 'fa fa-dashboard', 'url' => ['/debug'],],
//                            [
//                                'label' => 'Level One',
//                                'icon' => 'fa fa-circle-o',
//                                'url' => '#',
//                                'items' => [
//                                    ['label' => 'Level Two', 'icon' => 'fa fa-circle-o', 'url' => '#',],
//                                    [
//                                        'label' => 'Level Two',
//                                        'icon' => 'fa fa-circle-o',
//                                        'url' => '#',
//                                        'items' => [
//                                            ['label' => 'Level Three', 'icon' => 'fa fa-circle-o', 'url' => '#',],
//                                            ['label' => 'Level Three', 'icon' => 'fa fa-circle-o', 'url' => '#',],
//                                        ],
//                                    ],
//                                ],
//                            ],
//                        ],
//                    ],
                // ],
                ]
        )
        ?>

    </section>

</aside>
