<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use backend\models\Category;
use yii\helpers\ArrayHelper;

/* @var $this yii\web\View */
/* @var $model backend\models\Menu */

$this->title = 'Create Menu';
$this->params['breadcrumbs'][] = ['label' => 'Menus', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="menu-create">

<!--    <h1><?= Html::encode($this->title) ?></h1>-->

    <?php $form = ActiveForm::begin();

    $role = Yii::$app->session->get('role');
    $restaurant_id = Yii::$app->session->get('restaurant_id');

    if ($role == '1') {
        $query = Category::find();
    } else {
        $query = Category::find()->where(['restaurant_id' => $restaurant_id])->all();
    }

    ?>

    <?= $form->field($model, 'category_id')->dropDownList(

        ArrayHelper::map( $query, 'id', 'category_name'),
        ['prompt' => 'Select Category']
    ) ?>


    <?= $form->field($model, 'menu_name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'menu_image')->fileInput() ?>
    <?php
    if ($model->menu_image) {
        echo '<img src =""' . \Yii::getAlias('@categoryImgPath') . '/' . $model->menu_image . '"width = "90 px">&nbsp;&nbsp;&nbsp;';
    }
    ?>

    <?= $form->field($model, 'menu_price_half')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'menu_price_full')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'menu_detail')->textarea(['rows' => 6]) ?>
    

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>


</div>
