<?php

use yii\helpers\ArrayHelper;
use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $searchModel backend\models\MenuSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Menus';
$this->params['breadcrumbs'][] = $this->title;
$restaurant_id = Yii::$app->session->get('restaurant_id');
?>
<div class="menu-index">

    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a('Create Menu', ['create'], ['class' => 'btn btn-success']) ?>
    </p>


    <?=
    GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],
            [
                'attribute' => 'category_id',
                'value' => 'category.category_name',
                'filterInputOptions' => [
                    'class' => 'form-control',
                    'placeholder' => 'Search Category'
                ]
            ],
            
           [
                'attribute' => 'menu_name',
                'filterInputOptions' => [
                    'class' => 'form-control',
                    'placeholder' => 'Search Menu'
                ]
            ],
            
            [
                'attribute' => 'menu_price_half',
                'filterInputOptions' => [
                    'class' => 'form-control',
                    'placeholder' => 'Search Half Price'
                ]
            ],
            
            [
                'attribute' => 'menu_price_full',
                'filterInputOptions' => [
                    'class' => 'form-control',
                    'placeholder' => 'Search Full Price'
                ]
            ],
            [
                'attribute' => 'menu_image',
                'value' => $searchModel->menu_image,
                'format' => ['image', ['width' => '100', 'height' => '100']],
            ],
            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]);
    ?>
</div>
