<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use backend\models\Category;
use yii\helpers\Url;

/* @var $this yii\web\View */
/* @var $model backend\models\Menu */

$this->title = $model->menu_name;
$this->params['breadcrumbs'][] = ['label' => 'Menus', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>

<?php

function categoryname($model) {
    $category = Category::find()->where(['id' => $model->category_id])->one();
    return Html::a($category['category_name'], Url::to(['category/view', 'id' => $model->category_id]), ['data-method' => 'POST']);
}
?>


<div class="menu-view">

<!--    <h1><?= Html::encode($this->title) ?></h1>-->

    <p>
        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>


    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'id',
            [
                'attribute' => 'category_id',
                'format' => 'raw',
                'label' => 'Category Name',
                'value' => categoryname($model),
            ],
            'menu_name',
            [
                'attribute' => 'menu_image',
                'value' => $model->menu_image,
                'format' => ['image', ['width' => '100', 'height' => '100']],
            ],

            'menu_price_half',
            'menu_price_full',
           /* [
                'attribute' => 'toppings.topping_name',
                'value' => $model->toppings[0]->topping_name,
            ],*/

          //  'toppings.topping_name',
            'menu_detail:ntext',
        ],
    ]) ?>

</div>
