<?php

use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\GridView;
use backend\models\Waiter;
use backend\models\Table;

/* @var $this yii\web\View */
/* @var $searchModel backend\models\OrderSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Orders';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="order-index">

    <?php // echo $this->render('_search', ['model' => $searchModel]);  ?>

<!--    <p>
        <?= Html::a('Create Order', ['create'], ['class' => 'btn btn-success']) ?>
    </p>-->

    <?=
    GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],
            [
                'attribute' => 'order_number',
                'filterInputOptions' => [
                    'class' => 'form-control',
                    'placeholder' => 'Search By Order No.'
                ]
            ],
            [
                'attribute' => 'table_id',
                'format' => 'raw',
                'label' => 'Table Number',
                /*'content' => function ($model) {
                    $table = Table::getTable($model->table_id);
                    // $waiter = Waiter::find()->where(['id' => $model->waiter_id])->one();
                    return Html::a($table['table_number'], Url::to(['table/view', 'id' => $model->table_id]), ['data-method' => 'POST']);
                },*/
                'filterInputOptions' => [
                    'class' => 'form-control',
                    'placeholder' => 'Search By Table No.'
                ]
            ],
            [
                'attribute' => 'waiter_id',
                'format' => 'raw',
                'label' => 'Waiter Name',
               /* 'content' => function ($model) {
                    $waiter1 = Waiter::getWaiter($model->waiter_id);
                    // $waiter = Waiter::find()->where(['id' => $model->waiter_id])->one();
                    return Html::a($waiter1['name'], Url::to(['waiter/view', 'id' => $model->waiter_id]), ['data-method' => 'POST']);
                },*/
                'filterInputOptions' => [
                    'class' => 'form-control',
                    'placeholder' => 'Search By Waiter'
                ]
            ],
            [
                'attribute' => 'payment_status',
                'content' => function ($model) {
                    if ($model->payment_status == '0') {
                        return 'Pending';
                    } else if ($model->payment_status == '1') {
                        return 'Completed';
                    } else {
                        return '';
                    }
                },
                'filter' => array("0" => "Pending", "1" => "Completed"),
            ],
            [
                'attribute' => 'status',
                'filter' => array("0" => "Pending", "1" => "Completed"),
                'content' => function ($model) {
                    if ($model->status == '0') {
                        return 'Pending';
                    } else if ($model->status == '1') {
                        return 'Completed';
                    } else {
                        return '';
                    }
                },
            ],
            [
                'attribute' => 'created_at',
                'format' => ['date', 'php:M d, Y , g:i a'],
                'options' => ['width' => '200']
            ],
            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]);
    ?>
</div>
