<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\helpers\Url;
use backend\models\Waiter;
use backend\models\Table;
use backend\models\OrderMenu;
use backend\models\Ordertopping;

/* @var $this yii\web\View */
/* @var $model backend\models\Order */

$this->title = 'Invoice : ' . $model->order_number;
$this->params['breadcrumbs'][] = ['label' => 'Orders', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;

$logo = Yii::$app->session->get('logo');
?>
<div class="order-view">

<!--    <h1><?= Html::encode($this->title) ?></h1>-->

    <?php
    $waiter = Waiter::find()->where(['id' => $model->waiter_id])->one();
    $table = Table::find()->where(['id' => $model->table_id])->one();
    $menus = OrderMenu::getMenu($model->order_number);

    function weaitername($model) {
        $waiter = Waiter::find()->where(['id' => $model->waiter_id])->one();
        return $waiter['name'];
    }

    function tablername($model) {
        $table = Table::find()->where(['id' => $model->table_id])->one();
        return $table['table_number'];
    }

    function paymentstatus($model) {
        if ($model->payment_status == '0') {
            return 'Pending';
        } else if ($model->payment_status == '1') {
            return 'Completed';
        } else {
            return '';
        }
    }

    function orderstatus($model) {
        if ($model->status == '0') {
            return 'Pending';
        } else if ($model->status == '1') {
            return 'Completed';
        } else {
            return '';
        }
    }
    ?>

    <!doctype html>
    <html>
        <head>
            <meta charset="utf-8">
<!--            <title>INVOICE <?= $model->order_number ?></title>-->

            <style>
                .invoice-box{
                    max-width:800px;
                    margin:auto;
                    padding:30px;
                    border:1px solid #eee;
                    box-shadow:0 0 10px rgba(0, 0, 0, .15);
                    font-size:16px;
                    line-height:24px;
                    font-family:'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;
                    color:#555;
                }

                .invoice-box table{
                    width:100%;
                    line-height:inherit;
                    text-align:left;
                }

                .invoice-box table td{
                    padding:5px;
                    vertical-align:top;
                }

                .invoice-box table tr td:nth-child(2){
                    text-align:right;
                }

                .invoice-box table tr.top table td{
                    padding-bottom:20px;
                }

                .invoice-box table tr.top table td.title{
                    font-size:45px;
                    line-height:45px;
                    color:#333;
                }

                .invoice-box table tr.information table td{
                    padding-bottom:40px;
                }

                .invoice-box table tr.heading td{
                    background:#eee;
                    border-bottom:1px solid #ddd;
                    font-weight:bold;
                }

                .invoice-box table tr.details td{
                    padding-bottom:20px;
                }

                .invoice-box table tr.item td{
                    border-bottom:1px solid #eee;
                }

                .invoice-box table tr.item.last td{
                    border-bottom:none;
                }

                .invoice-box table tr.total td:nth-child(2){
                    border-top:2px solid #eee;
                    font-weight:bold;
                }

                @media only screen and (max-width: 600px) {
                    .invoice-box table tr.top table td{
                        width:100%;
                        display:block;
                        text-align:center;
                    }

                    .invoice-box table tr.information table td{
                        width:100%;
                        display:block;
                        text-align:center;
                    }
                }
            </style>
        </head>

        <body>
            <div class="invoice-box">
                <table cellpadding="0" cellspacing="0">
                    <tr class="top">
                        <td colspan="2">
                            <table>
                                <tr>
                                    <td class="title">
                                        <?= Html::img($logo, ['class' => 'img-circle', 'alt' => 'Logo', style => 'width:80px']) ?>

                                    </td>

                                    <td>
                                        Invoice <?= $model->order_number ?><br>
                                        Created: <?= date('F d, Y', $model->created_at) ?><br>
                                        Order Time: <?= date('g:i a', $model->created_at) ?><br>

                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>

                    <tr class="information">
                        <td colspan="2">
                            <table>
                                <tr>
                                    <td>
                                        Next Step Webs, Inc.<br>
                                        12345 Sunny Road<br>
                                        Sunnyville, TX 12345
                                    </td>

                                    <td>
                                        Acme Corp.<br>
                                        John Doe<br>
                                        john@example.com
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>

                    <tr class="heading">
                        <td>
                            Order Details
                        </td>

                        <td>

                        </td>
                    </tr>

                    <tr class="item">
                        <td>
                            Waiter Name
                        </td>

                        <td>
                            <?= weaitername($model) ?>
                        </td>

                    </tr>
                    <tr class="item">
                        <td>
                            Table Number
                        </td>

                        <td>
                            <?= tablername($model) ?>
                        </td>
                    </tr>

                    <?php if (count($menus) > 0) { ?>
                        <tr class="heading">
                            <td>Menu</td>
                            <td>Unit</td> 
                            <td>Quantity</td> 
                            <td>Price</td>
                        </tr>
                    <?php }
                    ?>
                    <?php
                    foreach ($menus as $menu) {
                        $toppings = Ordertopping::getTopping($menu->id);

                        $toppingName = '';
                        foreach ($toppings as $topping) {
                            if ($toppingName == '') {
                                $toppingName = $topping->toppingName;
                            } else {
                                $toppingName = $toppingName . ' + ' . $topping->toppingName;
                            }
                            ?>

                        <?php }
                        ?>

                        <tr class="item">
                            <td><?= Html::encode($menu->menu_name . ' ( ' . $toppingName . ' )') ?></td>
                            <td><?= Html::encode($menu->unit) ?></td> 
                            <td><?= Html::encode($menu->quantity) ?></td> 
                            <td><?= Html::encode($menu->menu_price) ?></td>
                        </tr>


                    <?php }
                    ?>

                    <tr class="total">
                        <td></td>

                        <td>
                            Total: <?= $model->total_amount ?>
                        </td>
                    </tr>
                </table>
            </div>
        </body>
    </html>
</div>