<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use backend\models\Waiter;
use backend\models\Table;
use yii\helpers\ArrayHelper;

/* @var $this yii\web\View */
/* @var $model backend\models\Order */

$this->title = 'Update Order: ' . $model->order_number;
$this->params['breadcrumbs'][] = ['label' => 'Orders', 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => $model->order_number, 'url' => ['view', 'id' => $model->id]];
$this->params['breadcrumbs'][] = 'Update';
?>
<?php
$restaurant_id = Yii::$app->session->get('restaurant_id');
$waiter = Waiter::find()->where(['restaurant_id' => $restaurant_id])->all();
$table = Table::find()->where(['restaurant_id' => $restaurant_id])->all();
?>


<div class="order-update">

<!--    <h1><?= Html::encode($this->title) ?></h1>-->

    <?php $form = ActiveForm::begin(); ?>

    <?=
    $form->field($model, 'table_id')->dropDownList(
            ArrayHelper::map($table, 'id', 'table_number'), ['prompt' => 'Select Table']
    )
    ?>

    <?=
    $form->field($model, 'waiter_id')->dropDownList(
            ArrayHelper::map($waiter, 'id', 'name'), ['prompt' => 'Select Waiter']
    )
    ?>


    <?= $form->field($model, 'payment_status')->dropDownList(['0' => 'Pending', '1' => 'Completed']); ?>

    <?= $form->field($model, 'status')->dropDownList(['0' => 'Pending', '1' => 'Completed']); ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>


</div>
