<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\helpers\Url;
use backend\models\Waiter;
use backend\models\Table;
use backend\models\OrderMenu;
use backend\models\Ordertopping;

/* @var $this yii\web\View */
/* @var $model backend\models\Order */

$this->title = 'Oder Number :- ' . $model->order_number;
$this->params['breadcrumbs'][] = ['label' => 'Orders', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="order-view">

<!--    <h1><?= Html::encode($this->title) ?></h1>-->

    <p>
        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Generate Pdf', ['pdf', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>

        <?=
        Html::a('Delete', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ])
        ?>
    </p>

    <?php
    $waiter = Waiter::find()->where(['id' => $model->waiter_id])->one();
    $table = Table::find()->where(['id' => $model->table_id])->one();
    $menus = OrderMenu::getMenu($model->order_number);

    function weaitername($model) {
        $waiter = Waiter::find()->where(['id' => $model->waiter_id])->one();
        return Html::a($waiter['name'], Url::to(['waiter/view', 'id' => $model->waiter_id]), ['data-method' => 'POST']);
    }

    function tablername($model) {
        $table = Table::find()->where(['id' => $model->table_id])->one();
        return Html::a($table['table_number'], Url::to(['table/view', 'id' => $model->table_id]), ['data-method' => 'POST']);
    }

    function paymentstatus($model) {
        if ($model->payment_status == '0') {
            return 'Pending';
        } else if ($model->payment_status == '1') {
            return 'Completed';
        } else {
            return '';
        }
    }

    function orderstatus($model) {
        if ($model->status == '0') {
            return 'Pending';
        } else if ($model->status == '1') {
            return 'Completed';
        } else {
            return '';
        }
    }
    ?>


    <?=
    DetailView::widget([
        'model' => $model,
        'attributes' => [
            [
                'attribute' => 'waiter_id',
                'format' => 'raw',
                'label' => 'Waiter Name',
                'value' => weaitername($model),
            ],
            [
                'attribute' => 'table_id',
                'format' => 'raw',
                'label' => 'Table Number',
                'value' => tablername($model),
            ],
            [
                'attribute' => 'payment_status',
                'value' => paymentstatus($model),
            ],
            [
                'attribute' => 'status',
                'label' => 'Order Status',
                'value' => orderstatus($model),
            ],
            [
                'attribute' => 'total_amount',
                'label' => 'Total Amount',
                'value' => $model->total_amount.' /-',
            ],
          
            [
                'attribute' => 'created_at',
                'format' => ['date', 'php:F d, Y , g:i a'],
                'options' => ['width' => '200']
            ],
//            [
//                'attribute' => 'updated_at',
//                'format' => ['date', 'php:d-m-Y H:i'],
//                'options' => ['width' => '200']
//            ],
        ],
    ])
    ?>

    <html>
        <body>

            <h2>Order</h2>

            <table style="width:70%">

                <?php if (count($menus) > 0) { ?>
                    <tr>
                        <th>Menu</th>
                        <th>Unit</th> 
                        <th>Quantity</th> 
                        <th>Price</th>
                        <th>Remark</th>
                    </tr>
                <?php }
                ?>

                <?php
                foreach ($menus as $menu) {
                    $toppings = Ordertopping::getTopping($menu->id);

                    $toppingName = '';
                    foreach ($toppings as $topping) {
                        if ($toppingName == '') {
                            $toppingName = $topping->toppingName;
                        } else {
                            $toppingName = $toppingName . ' + ' . $topping->toppingName;
                        }
                        ?>

                    <?php }
                    ?>

                    <tr>
                        <td><?= Html::encode($menu->menu_name . ' ( ' . $toppingName . ' )') ?></td>
                        <td><?= Html::encode($menu->unit) ?></td> 
                        <td><?= Html::encode($menu->quantity) ?></td> 
                        <td><?= Html::encode($menu->menu_price) ?></td>
                        <td><?= Html::encode($menu->remark) ?></td>
                    </tr>


                <?php }
                ?>
            </table>

        </body>
    </html>

</div>
