<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $searchModel backend\models\SettingSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Settings';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="setting-index">

    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a('Create Setting', ['create'], ['class' => 'btn btn-success']) ?>
    </p>
    <?=
    GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],
            [
                'attribute' => 'order_type',
                'content' => function ($model) {
                    if ($model->order_type == '0') {
                        return 'Online';
                    } else if ($model->order_type == '1') {
                        return 'Menu';
                    } else {
                        return '';
                    }
                },
                'filter' => array("0" => "Online", "1" => "Menu"),
            ],
            [
                'attribute' => 'isWaiter',
                'label' => 'Show Waiter',
                'content' => function ($model) {
                    if ($model->isWaiter == '0') {
                        return 'False';
                    } else if ($model->isWaiter == '1') {
                        return 'True';
                    } else {
                        return '';
                    }
                },
                'filter' => array("0" => "False", "1" => "True"),
            ],
            [
                'attribute' => 'isTable',
                'label' => 'Show Table',
                'content' => function ($model) {
                    if ($model->isTable == '0') {
                        return 'False';
                    } else if ($model->isTable == '1') {
                        return 'True';
                    } else {
                        return '';
                    }
                },
                'filter' => array("0" => "False", "1" => "True"),
            ],
            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]);
    ?>
</div>
