<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model backend\models\Setting */

$this->title = '';
$this->params['breadcrumbs'][] = ['label' => 'Settings', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;

function getordertype($model) {
    if ($model->order_type == '0') {
        return 'Online';
    } else if ($model->order_type == '1') {
        return 'Menu';
    } else {
        return '';
    }
}

function getwaiter($model) {
    if ($model->isWaiter == '0') {
        return 'False';
    } else if ($model->isWaiter == '1') {
        return 'True';
    } else {
        return '';
    }
}

function gettable($model) {
    if ($model->isTable == '0') {
        return 'False';
    } else if ($model->isTable == '1') {
        return 'True';
    } else {
        return '';
    }
}
?>
<div class="setting-view">

    <p>
        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?=
        Html::a('Delete', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ])
        ?>
    </p>

    <?=
    DetailView::widget([
        'model' => $model,
        'attributes' => [
            [
                'attribute' => 'order_type',
                'format' => 'raw',
                'value' => getordertype($model)
            ],
            [
                'attribute' => 'isWaiter',
                'label' => 'Show Waiter',
                'format' => 'raw',
                'value' => getwaiter($model)
            ],
            [
                'attribute' => 'isTable',
                'label' => 'Show Table',
                'format' => 'raw',
                'value' => gettable($model)
            ],
        ],
    ])
    ?>

</div>
