<?php
/* @var $this yii\web\View */

$restaurant_name = Yii::$app->session->get('restaurant_name');
$restaurant_id = Yii::$app->session->get('restaurant_id');
$this->title = $restaurant_name . ' - Online food ordering';

use backend\models\Order;
use yii\helpers\Html;
use yii\helpers\Url;
?>

<div class="site-index">

    <div class="row">
        <div class="col-lg-3 col-xs-6">
            <!-- small box -->
            <div class="small-box bg-aqua">
                <div class="inner">
                    <h3> <?= Order::find()->where(['restaurant_id' => $restaurant_id])->count(); ?></h3>
                    <p>Total Orders</p>
                </div>
                <div class="icon">
                    <i class="ion ion-bag"></i>
                </div>

                <?= Html::a('More Info', Url::to(['order/index']), ['data-method' => 'POST', 'class' => 'fa fa-arrow-circle-right  small-box-footer']); ?> </a>
            </div>
        </div>
        <!-- ./col -->
        <div class="col-lg-3 col-xs-6">
            <!-- small box -->
            <div class="small-box bg-green">
                <div class="inner">
                    <h3> <?= Order::find()->where(['payment_status' => '0', 'restaurant_id' => $restaurant_id])->count(); ?></h3>
                    <p>Pending Payments</p>
                </div>
                <div class="icon">
                    <i class="ion ion-stats-bars"></i>
                </div>
<!--                <a href="#" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>-->
                <?= Html::a('More Info', Url::to(['order/index']), ['data-method' => 'POST', 'class' => 'fa fa-arrow-circle-right  small-box-footer']); ?> </a>
            </div>
        </div>
        <!-- ./col -->
        <div class="col-lg-3 col-xs-6">
            <!-- small box -->
            <div class="small-box bg-yellow">
                <div class="inner">
                    <h3><?= Order::find()->where(['status' => '0', 'restaurant_id' => $restaurant_id])->count(); ?></h3>
                    <p>Pending Orders</p>
                </div>
                <div class="icon">
                    <i class="ion ion-person-add"></i>
                </div>
<!--                <a href="#" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>-->
                <?= Html::a('More Info', Url::to(['order/index']), ['data-method' => 'POST', 'class' => 'fa fa-arrow-circle-right  small-box-footer']); ?> </a>

            </div>
        </div>
        <!-- ./col -->
        <!--        <div class="col-lg-3 col-xs-6">
                     small box 
                    <div class="small-box bg-red">
                        <div class="inner">
                            <h3>65</h3>
        
                            <p>Unique Visitors</p>
                        </div>
                        <div class="icon">
                            <i class="ion ion-pie-graph"></i>
                        </div>
                        <a href="#" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
                    </div>
                </div>-->
        <!-- ./col -->
    </div>

    <div class="nav-tabs-custom">
        <!-- Tabs within a box -->
        <ul class="nav nav-tabs pull-right">
            <li class="active"><a href="#revenue-chart" data-toggle="tab">Area</a></li>
            <li><a href="#sales-chart" data-toggle="tab">Donut</a></li>
            <li class="pull-left header"><i class="fa fa-inbox"></i> Sales</li>
        </ul>
        <div class="tab-content no-padding">
            <!-- Morris chart - Sales -->
            <div class="chart tab-pane active" id="revenue-chart" style="position: relative; height: 300px;"></div>
            <div class="chart tab-pane" id="sales-chart" style="position: relative; height: 300px;"></div>
        </div>
    </div>

</div>
