<?php

use yii\helpers\Html;
use yii\grid\GridView;
use backend\models\Menu;
use yii\helpers\Url;

/* @var $this yii\web\View */
/* @var $searchModel backend\models\ToppingSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Toppings';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="topping-index">

<!--    <h1><?= Html::encode($this->title) ?></h1>-->
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a('Create Topping', ['create'], ['class' => 'btn btn-success']) ?>
    </p>
    <?=
    GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],
            [
//                'attribute' => 'menu_id',
//               // 'value' => 'menu.menu_name',
//                'filterInputOptions' => [
//                    'class' => 'form-control',
//                    'placeholder' => 'Search By Detail'
//                ]

                'attribute' => 'menu_id',
                'format' => 'raw',
                'label' => 'Menu Name',
                'content' => function ($model) {
                    $menu = Menu::getMenu($model->menu_id);
                    return Html::a($menu['menu_name'], Url::to(['menu/view', 'id' => $model->menu_id]), ['data-method' => 'POST']);
                },
                'filterInputOptions' => [
                    'class' => 'form-control',
                    'placeholder' => 'Search By Detail'
                ]
            ],
            [
                'attribute' => 'topping_name',
                'filterInputOptions' => [
                    'class' => 'form-control',
                    'placeholder' => 'Search By Name'
                ]
            ],
            [
                'attribute' => 'topping_price',
                'filterInputOptions' => [
                    'class' => 'form-control',
                    'placeholder' => 'Search By Price'
                ]
            ],
            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]);
    ?>
</div>
