<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;
use backend\models\Menu;

/* @var $this yii\web\View */
/* @var $model backend\models\Topping */

$this->title = 'Update Topping: ' . $model->topping_name;
$this->params['breadcrumbs'][] = ['label' => 'Toppings', 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => $model->topping_name, 'url' => ['view', 'id' => $model->id]];
$this->params['breadcrumbs'][] = 'Update';
?>
<div class="topping-update">

<!--    <h1><?= Html::encode($this->title) ?></h1>-->

    <?php $form = ActiveForm::begin();

    $role = Yii::$app->session->get('role');
    $restaurant_id = Yii::$app->session->get('restaurant_id');

    if ($role == '1') {
        $query = Menu::find();
    } else {
        $query = Menu::find()->where(['rest_id' => $restaurant_id])->all();
    }

    ?>

    <?= $form->field($model, 'menu_id')->dropDownList(

        ArrayHelper::map($query, 'id', 'menu_name'),
        ['prompt' => 'Select Menu']
    ) ?>


    <?= $form->field($model, 'topping_name')->textInput() ?>

    <?= $form->field($model, 'topping_price')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
