<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $searchModel backend\models\UserSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Users';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="user-index">

<!--    <h1><?= Html::encode($this->title) ?></h1>-->
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a('Create User', ['create'], ['class' => 'btn btn-success']) ?>
    </p>
    <?=
    GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],
            [
                'attribute' => 'restaurant_name',
                'filterInputOptions' => [
                    'class' => 'form-control',
                    'placeholder' => 'Search By Reataurant Name'
                ]
            ],
            [
                'attribute' => 'owner_firstname',
                'filterInputOptions' => [
                    'class' => 'form-control',
                    'placeholder' => 'Search By Name'
                ]
            ],
            [
                'attribute' => 'owner_lastname',
                'filterInputOptions' => [
                    'class' => 'form-control',
                    'placeholder' => 'Search By Name'
                ]
            ],
            [
                'attribute' => 'email',
                'format' => 'email',
                'filterInputOptions' => [
                    'class' => 'form-control',
                    'placeholder' => 'Search By Email'
                ]
            ],
            [
                'attribute' => 'role',
                'content' => function ($model) {
                    if ($model->role == '1') {
                        return 'Superadmin';
                    } else if ($model->role == '2') {
                        return 'Admin';
                    } else {
                        return '';
                    }
                },
                'filter' => array("1" => "Superadmin", "2" => "Admin"),
            ],
            [
                'attribute' => 'Change Password',
                'format' => 'raw',
                'value' => function ($model) {
                    return Html::a('Change Password', yii\helpers\Url::to(['user/forgotpassword', 'id' => $model->id]), ['data-method' => 'POST']);
                },
            ],
            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]);
    ?>
</div>
