<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;

/* @var $this yii\web\View */
/* @var $model backend\models\User */

$this->title = 'Update Profile ';
$this->params['breadcrumbs'][] = ['label' => 'Users', 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => $model->restaurant_name, 'url' => ['view', 'id' => $model->id]];
$this->params['breadcrumbs'][] = 'Update';
?>
<div class="user-update">

<!--    <h1><?= Html::encode($this->title) ?></h1>-->

    <?php
    $form = ActiveForm::begin();

    $res = backend\models\Role::find()->all();
    ?>

    <?= $form->field($model, 'restaurant_name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'owner_firstname')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'owner_lastname')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'email')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'phone_no')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'landline_no')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'logo')->fileInput() ?>
    <?php
    if ($model->logo) {
        echo Html::img($model->logo, ['width' => '90 px', 'height' => '90 px']);
    }
    ?>

    <?php if ($model->role == 1) { ?>
        <?=
        $form->field($model, 'role')->dropDownList(
                ArrayHelper::map($res, 'id', 'name'), ['options' => [$_GET['id'] => ['Selected' => 'selected']]], ['prompt' => 'Select Role']
        )
        ?> 
    <?php } ?>

    <?= $form->field($model, 'about')->textarea(['rows' => 6]) ?>


    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
