<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $searchModel backend\models\WaiterSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Waiters';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="waiter-index">

<!--    <h1><?= Html::encode($this->title) ?></h1>-->
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a('Create Waiter', ['create'], ['class' => 'btn btn-success']) ?>
    </p>
    <?=
    GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],
            [
                'attribute' => 'name',
                'filterInputOptions' => [
                    'class' => 'form-control',
                    'placeholder' => 'Search By Name'
                ]
            ],
            [
                'attribute' => 'mobile',
                'filterInputOptions' => [
                    'class' => 'form-control',
                    'placeholder' => 'Search By Mobile'
                ]
            ],
            [
                'attribute' => 'address',
                'filterInputOptions' => [
                    'class' => 'form-control',
                    'placeholder' => 'Search By Address'
                ]
            ],
            [
                'attribute' => 'image',
                'value' => $searchModel->image,
                'format' => ['image', ['width' => '100', 'height' => '100']],
            ],
            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]);
    ?>
</div>
